SET SEARCH_PATH = iqp_apprealm;


INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid, drools_version,
 drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (1, 'Send Email',
        'function', 'Send Email', 2, 0,
        '{"class":"com.iqp.services.managers.MailManage","constructor":[],
        "data":"SendEmailAsHtmlWithAtachment(%%mailTo%%, %%Subject%%,%%body%%,%%bodyurl%%, %%attachment%%,%%account_id%%)"}'
           , '', 0, 1, '301', '',
        'mailTo, Subject, body,bodyurl,attachment',
        '',
        '{"data":[{"name":"mailTo","type":"java.lang.String"},{"name":"Subject","type":"java.lang.String"},{"name":"body","type":"java.lang.String"},{"name":"bodyurl","type":"java.lang.String"},{"name":"attachment","type":"java.lang.String"}]}'
           , '{"data":[]}', FALSE, 'af928ce9-a560-47c9-9827-f1020036161c');


INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid, drools_version,
 drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (2, 'appGetCurrentUser', 'function', 'IQP Get Current User', 1, 0,
        '{"class":"com.iqp.app.server.functions.AppUserFunctions","constructor":[],"data":"getCurrentUser(%%accountId%%)"}',
        '', 0, 1, '301', '', '', 'email,first_name,last_name,last_login,account_id', '{"data":[]}',
        '{"data":[{"name":"email","type":"java.lang.String"},{"name":"first_name","type":"java.lang.String"},{"name": "last_name","type":"java.lang.String"},{"name":"last_login","type": "java.lang.String"},{"name":"account_id","type": "java.lang.String"}]}',
        FALSE, '22c76a9d-9bfb-4129-a43c-a6e50a34653e');

INSERT INTO flows (flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid,
                   drools_version, drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs,
                   protected, UUID)
VALUES (63, 'StartMonitoringDevice', 'function', 'Start monitoring device', 1, 0,
        '{"class":"com.iqp.app.server.functions.StartMonitoringDevice","constructor":[],"data":"StartMonitoringDevice(%%device_id%%,%%account_id%%)"}',
        '', 0, 1, 0, '', 'device_id', '', '{"data":[{"name":"device_id","type":"java.lang.String"}]}', '{"data":[]}',
        TRUE, '482c2ac2-2902-41f9-ab4e-73316a24adf3');

INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid, drools_version,
 drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (64, 'StartMonitoringCloud', 'function', 'Start monitoring cloud', 1, 0,
        '{"class":"com.iqp.app.server.functions.StartMonitoringCloud","constructor":[],"data":"StartMonitoringCloud(%%cloud_id%%,%%username%%,%%password%%,%%account_id%%)"}',
        '', 0, 1, 0, '', 'cloud_id,username,password', '',
        '{"data":[{"name":"cloud_id","type":"java.lang.String"},{"name":"username","type":"java.lang.String"},{"name":"password","type":"java.lang.String"}]}',
        '{"data":[]}',
        TRUE, 'a2abda10-9134-4acb-8f48-381907a52a5f');

INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid, drools_version,
 drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (67, 'UpdateAlert', 'function', 'Send Alert Engine New Alert created message', 1, 0,
        '{"class":"com.iqp.app.server.functions.UpdateAlertFunctionHandler","constructor":[],"data":"updateAlert(%%alertID%%)"}',
        '', 0, 1, 0, '', 'alertID', '', '{"data":[{"name":"alertID","type":"java.lang.String"}]}', '{"data":[]}',
        TRUE, '0fb1a956-7520-4961-be12-9b0a517332a7');

INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid, drools_version,
 drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (68, 'StopMonitoringCloud', 'function', 'Stop monitoring cloud', 1, 0,
        '{"class":"com.iqp.app.server.functions.StopMonitoringCloud","constructor":[],"data":"StopMonitoringCloud(%%cloud_id%%,%%username%%,%%password%%,%%account_id%%)"}',
        '', 0, 1, 0, '', 'cloud_id,username,password', '',
        '{"data":[{"name":"cloud_id","type":"java.lang.String"},{"name":"username","type":"java.lang.String"},{"name":"password","type":"java.lang.String"}]}',
        '{"data":[]}',
        TRUE, '0577bbb5-47c8-45a6-a0a7-32a780f0d8e3');

INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid, drools_version,
 drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (69, 'StopMonitoringDevice', 'function', 'start stop device', 1, 0,
        '{"class":"com.iqp.app.server.functions.MonitorDeviceStateChangeFunctionHandler",
        "constructor":[],"data":"StopMonitoringDevice(%%device_id%%,%%account_id%%)"}',
        '', 0, 1, 0, '', 'device_id', '', '{"data":[{"name":"device_id","type":"java.lang.String"}]}', '{"data":[]}',
        TRUE, '2ac0baf8-1f42-40b4-ab90-d68029488b70');


insert into flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs, outputs,
 detailed_inputs, detailed_outputs, protected,
 UUID)
values (70, 'DeleteAlertInstance', 'function', 'Delete alert instance', 1, 0,
        '{"class":"com.iqp.app.server.functions.AlertInstancesFunctionHandler","constructor":[],"data":"deleteAlertInstance(%%alertInstanceId%%)"}',
        '', 'alertInstanceId', '', '{"data":[{"name":"alertInstanceId","type":"java.lang.Long"}]}', '{"data":[]}',
        TRUE, 'b926fd57-b97d-424f-a21a-bd2af8b34f16');

INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, created_by, created, modified_by, modified,
 impl_details, drools_uuid, drools_version, drools_wid, wid, details, inputs, outputs, detailed_inputs,
 detailed_outputs, package_id, protected, UUID)
VALUES (71, 'GetAllAlerts', 'function', 'Select all alerts instances', '1', '0', NULL, NULL, NULL, NULL,
        '{"class":"com.iqp.app.server.functions.AlertInstancesFunctionHandler","constructor":[],"data":"getAllAlerts(%%alertDefinitionId%%)"}',
        NULL, NULL, NULL, NULL, '', 'alertDefinitionId', 'instance_id,alert_id,name,activate,created,modified',
        '{"data":[{"name":"alertDefinitionId","type":"java.lang.Long"}]}',
        '{"data":[{"name":"instance_id","type":"java.lang.Integer"},{"name":"alert_id","type":"java.lang.Long"},{"name": "name","type":"java.lang.String"},{"name":"activate","type": "java.lang.Boolean"},{"name":"created","type": "java.lang.String"},{"name":"modified","type": "java.lang.String"}]}',
        NULL,
        TRUE, '5b6b08b3-91d3-40fb-bec0-56152c14fffd');


INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, created_by, created, modified_by, modified,
 impl_details, drools_uuid, drools_version, drools_wid, wid, details, inputs, outputs, detailed_inputs,
 detailed_outputs, package_id, protected, UUID)

VALUES (72, 'StartStopAlertInstance', 'function', 'Start/stop alert instance', '1', '0', NULL, NULL, NULL, NULL,
        '{"class":"com.iqp.app.server.functions.AlertInstancesFunctionHandler","constructor":[],"data":"startStopAlertInstance(%%alertInstanceId%%,%%activate%%)"}',
        NULL, NULL, NULL, NULL, '',
        'alertInstanceId,activate', '',
        '{"data":[{"name":"alertInstanceId","type":"java.lang.Long"},{"name":"activate","type":"java.lang.Boolean"}]}',
        '{"data":[]}', NULL,
        TRUE, '42affadf-0fa8-4793-92f1-89ad2cf76132');



INSERT INTO flows (flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs,
                   outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (79, 'Send_MQTT_Command', 'function', 'Send_MQTT_Command', '1', '0',
        '{"class":"com.iqp.app.server.functions.IqpMqttFunctionHandler","constructor":[],"data":"publishMqttPayload(%%topic%%,%%payload%%,%%accountId%%)"}',
        '', 'topic, payload', '',
        '{"data":[{"name":"topic","type":"java.lang.String"},{"name":"payload","type":"java.lang.String"}]}',
        '{"data":[]}',
        TRUE, '4c00ffd6-dbe3-45f3-ac5b-ef0d873516cb');

INSERT INTO flows (flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs,
                   outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (80, 'Send_REST_Command', 'function', 'Send_REST_Command', '1', '0',
        '{"class":"com.iqp.app.server.functions.GenericProtocolFunctionHandler","constructor":[],"data":"sendGenericCommand(%%channel%%,%%command%%)"}',
        '', 'channel, command', '',
        '{"data":[{"name":"channel","type":"java.lang.String"},{"name":"command","type":"java.lang.String"}]}',
        '{"data":[]}',
        TRUE, '553e6612-65c8-4dcd-8cce-9aff08b5ff4b');


INSERT INTO flows (flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs,
                   outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (81, 'Get all apps', 'function', 'Get all apps', '1', '0',
        '{"class":"com.iqp.services.functions.GetAllAppsFunctionHandler","constructor":[],"data":"getAllApps(%%accountId%%)"}',
        '', '', 'app_id,app_name', '{"data":[]}',
        '{"data":[{"name":"app_id","type":"java.lang.Integer"},{"name":"app_name","type":"java.lang.String"}]}',
        TRUE, '851b94fb-6933-4f27-80f9-eaa470703be3');

INSERT INTO flows (flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs,
                   outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (82, 'Get all apps for user id', 'function', 'Get all apps for user id', '1', '0',
        '{"class":"com.iqp.app.server.functions.GetUserAppsFunction","constructor":[],"data":"getAllApps(%%accountId%%)"}',
        '', '', 'app_id,app_name', '{"data":[]}',
        '{"data":[{"name":"app_id","type":"java.lang.Integer"},{"name":"app_name","type":"java.lang.String"}]}',
        TRUE, '8b42a52e-d8ed-42d3-a837-d97a53069614');


INSERT INTO flows
(flow_id, flow_name, flow_type, description, version, grouping_id, impl_details, drools_uuid, drools_version,
 drools_wid, wid, details, inputs, outputs, detailed_inputs, detailed_outputs, protected, UUID)
VALUES (83, 'Delete image on hard disc', 'function', 'Delete image on hard disc', 1, 0,
        '{"class":"com.iqp.app.server.functions.DeleteImageOnDiscFunction","constructor":[],"data":"deleteImageOnDisc(%%url%%)"}',
        '', 0, 1, '301', '', 'url', '',
        '{"data":[{"name":"url","type":"java.lang.String"}]}', '{"data":[]}',
        FALSE, 'd4b41e18-14d4-44dd-9e53-80887e2bd434');
 
 
 
