SET SEARCH_PATH = iqp_apprealm;


INSERT INTO themes
(theme_name,
 description,
 version,
 grouping_id,
 created_by,
 created,
 modified_by,
 modified,
 settings,
 default_theme,
 UUID,
 updated,
 protected)
VALUES ('IQP Defaults',
        'General palette for any use',
        1,
        0,
        null,
        now(),
        null,
        now(),
        ' [
              {
                "id": "bodyColor",
                "name": "Text Color",
                "section": "General",
                "type": "color",
                "cssSelector": "body",
                "cssProperty": "color",
                "value": "#000000"
              },
              {
                "id": "bodyBackgroundColor",
                "name": "Background Color",
                "section": "General",
                "propertyGroup": "solidColor",
                "selected": true,
                "type": "color",
                "cssSelector": "body",
                "cssProperty": "background-color",
                "value": "#f1f1f1"
              },
              {
                "id": "bodyBackgroundImage",
                "name": "Background Image URL",
                "section": "General",
                "propertyGroup": "solidColor",
                "type": "file",
                "cssSelector": "body",
                "cssProperty": "background"
              },
              {
                "id": "secondaryTextFont",
                "name": "Font Type",
                "section": "General",
                "type": "select",
                "value": "Arial, Helvetica, Sans-Serif",
                "cssSelector": "body",
                "cssProperty": "font-family"
              },
              {
                "id": "loader",
                "name": "Loader color",
                "section": "General",
                "type": "color",
                "value": "#000000",
                "cssSelector": "#loader",
                "cssProperty": "color"
              },
              {
                "id": "header1Background",
                "name": "Header 1 background",
                "section": "Headers",
                "type": "color",
                "cssSelector": ".component-header-h1",
                "cssProperty": "background-color",
                "value": "transparent"
              },
              {
                "id": "header1Text",
                "name": "Header 1 text",
                "section": "Headers",
                "type": "color",
                "cssSelector": ".component-header-h1",
                "cssProperty": "color",
                "value": "#000"
              },
              {
                "id": "header2Background",
                "name": "Header 2 background",
                "section": "Headers",
                "type": "color",
                "cssSelector": ".component-header-h2",
                "cssProperty": "background-color",
                "value": "transparent"
              },
              {
                "id": "header2Text",
                "name": "Header 2 text",
                "section": "Headers",
                "type": "color",
                "cssSelector": ".component-header-h2",
                "cssProperty": "color",
                "value": "#000"
              },
              {
                "id": "header3Background",
                "name": "Header 3 background",
                "section": "Headers",
                "type": "color",
                "cssSelector": ".component-header-h3",
                "cssProperty": "background-color",
                "value": "transparent"
              },
              {
                "id": "header3Text",
                "name": "Header 3 text",
                "section": "Headers",
                "type": "color",
                "cssSelector": ".component-header-h3",
                "cssProperty": "color",
                "value": "#000"
              },
              {
                "id": "tableHeader",
                "name": "Header",
                "section": "Tables",
                "type": "color",
                "cssSelector": "table th",
                "cssProperty": "background-color",
                "value": "#2d31e2"
              },
              {
                "id": "gridHeader",
                "name": "Header",
                "section": "Grid",
                "type": "color",
                "cssSelector": ".ui-grid-top-panel",
                "cssProperty": "background",
                "value": "#efefef"
              },
              {
                "id": "gridTreeViewHeader",
                "name": "Tree view header",
                "section": "Grid",
                "type": "color",
                "cssSelector": ".inner-header .ui-grid-cell-contents",
                "cssProperty": "background",
                "value": "#C7C7C7"
              },
              {
                "id": "gridTreeViewHeaderText",
                "name": "Tree view header text",
                "section": "Grid",
                "type": "color",
                "cssSelector": ".inner-header .ui-grid-cell-contents",
                "cssProperty": "color",
                "value": "#2C2C2C"
              },
              {
                "id": "tableHeaderText",
                "name": "Header Text",
                "section": "Tables",
                "type": "color",
                "cssSelector": "table th",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "gridHeaderText",
                "name": "Header Text",
                "section": "Grid",
                "type": "color",
                "cssSelector": ".ui-grid-top-panel",
                "cssProperty": "color",
                "value": "#2c3e50"
              },
              {
                "id": "headerBackground",
                "name": "Header Background",
                "section": "Navigation",
                "type": "color",
                "cssSelector": "#main-header",
                "cssProperty": "background-color",
                "value": "#0582c5"
              },
              {
                "id": "headerText",
                "name": "Header Text",
                "section": "Navigation",
                "type": "color",
                "cssSelector": "#main-header",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "menuBackground",
                "name": "Menu Background",
                "section": "Navigation",
                "type": "color",
                "cssSelector": "#main-nav",
                "cssProperty": "background-color",
                "value": "#4b4b4b"
              },
              {
                "id": "menuText",
                "name": "Menu Text",
                "section": "Navigation",
                "type": "color",
                "cssSelector": "#main-nav .main-nav-item",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "menuIcon",
                "name": "Menu Icon",
                "section": "Navigation",
                "type": "color",
                "cssSelector": ".main-header-button",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "menuIcon",
                "name": "Menu Icon (hover)",
                "section": "Navigation",
                "type": "color",
                "cssSelector": ".no-touch .main-header-button:hover",
                "cssProperty": "color",
                "value": "#000000"
              },
              {
                "id": "menuIconActive",
                "name": "Menu Icon (active)",
                "section": "Navigation",
                "type": "color",
                "cssSelector": ".main-header-button.active",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "menuIconActiveBackground",
                "name": "Menu Icon (active) background",
                "section": "Navigation",
                "type": "color",
                "cssSelector": ".main-header-button.active",
                "cssProperty": "background-color",
                "value": "#666666"
              },
              {
                "id": "menuItemHover",
                "name": "Menu item (hover) text",
                "section": "Navigation",
                "type": "color",
                "cssSelector": ".no-touch #main-nav .main-nav-item:hover",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "menuItemHoverBackground",
                "name": "Menu item (hover) background",
                "section": "Navigation",
                "type": "color",
                "cssSelector": ".no-touch #main-nav .main-nav-item:hover",
                "cssProperty": "background-color",
                "value": "#222222"
              },
              {
                "id": "menuItemSelected",
                "name": "Menu item (selected)",
                "section": "Navigation",
                "type": "color",
                "cssSelector": "#main-nav .main-nav-item.active",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "menuItemSelectedBackground",
                "name": "Menu item (selected) background",
                "section": "Navigation",
                "type": "color",
                "cssSelector": "#main-nav .main-nav-item.active",
                "cssProperty": "background-color",
                "value": "#000000"
              },
              {
                "id": "containerBackground",
                "name": "Container Background",
                "section": "Container",
                "type": "color",
                "cssSelector": ".container-style",
                "cssProperty": "background-color",
                "value": "rgba(255, 255, 255, 0)"
              },
              {
                "id": "containerBorderColor",
                "name": "Container Border Color",
                "section": "Container",
                "type": "color",
                "cssSelector": ".container-style",
                "cssProperty": "border-color",
                "value": "rgba(255, 255, 255, 0)"
              },
              {
                "id": "containerBorderWidth",
                "name": "Container Border Width",
                "section": "Container",
                "type": "select",
                "cssSelector": ".container-style",
                "cssProperty": "border-width",
                "value": "medium"
              },
              {
                "id": "containerBorderStyle",
                "name": "Container Border Style",
                "section": "Container",
                "type": "select",
                "cssSelector": ".container-style",
                "cssProperty": "border-style",
                "value": "solid"
              },
              {
                "id": "primaryActions",
                "name": "Primary Actions",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                "cssProperty": "background",
                "value": "#016ab2"
              },
              {
                "id": "primaryActionsHover",
                "name": "Primary Actions Hover",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".no-touch .component-button.btn.btn-primary:hover, .no-touch .component .btn:hover",
                "cssProperty": "background",
                "value": "#0362a3"
              },
              {
                "id": "primaryActionsText",
                "name": "Text on Buttons",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "section": "Buttons and Actions",
                "type": "hr"
              },
              {
                "id": "SecondaryActions",
                "name": "Secondary Actions",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                "cssProperty": "background",
                "value": "#696969"
              },
              {
                "id": "SecondaryActionsHover",
                "name": "Secondary Actions Hover",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".no-touch .component-button.btn.btn-secondary:hover, .no-touch .component-button.btn:hover",
                "cssProperty": "background",
                "value": "#8b8b8b"
              },
              {
                "id": "SecondaryActionText",
                "name": "Text on Buttons",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "section": "Buttons and Actions",
                "type": "hr"
              },
              {
                "id": "accentPositive",
                "name": "Accent Positive",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-success",
                "cssProperty": "background",
                "value": "#96e65c"
              },
              {
                "id": "accentPositiveText",
                "name": "Text on Buttons",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-success",
                "cssProperty": "color",
                "value": "#222222"
              },
              {
                "section": "Buttons and Actions",
                "type": "hr"
              },
              {
                "id": "accentNegative",
                "name": "Accent Negative",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-danger",
                "cssProperty": "background",
                "value": "#ed325a"
              },
              {
                "id": "accentNegativeText",
                "name": "Text on Buttons",
                "section": "Buttons and Actions",
                "type": "color",
                "cssSelector": ".component-button.btn.btn-danger",
                "cssProperty": "color",
                "value": "#ffffff"
              },
              {
                "id": "inputField",
                "name": "Field",
                "section": "Inputs",
                "type": "color",
                "cssSelector": "input[type=''text''],input[type=''password''], input[type=''datetime''],input[type=''datetime-local''], input[type=''date''],input[type=''month''], input[type=''time''],input[type=''week''], input[type=''number''],input[type=''email''], input[type=''url''],input[type=''search''], input[type=''tel''],input[type=''color''],textarea,select",
                "cssProperty": "background-color",
                "value": "#ffffff"
              },
              {
                "id": "inputFieldText",
                "name": "Input Text",
                "section": "Inputs",
                "type": "color",
                "cssSelector": "input[type=''text''],input[type=''password''], input[type=''datetime''],input[type=''datetime-local''], input[type=''date''],input[type=''month''], input[type=''time''],input[type=''week''], input[type=''number''],input[type=''email''], input[type=''url''],input[type=''search''], input[type=''tel''],input[type=''color''],textarea,select",
                "cssProperty": "color",
                "value": "#333333"
              },
              {
                "id": "inputFocus",
                "name": "Focus",
                "section": "Inputs",
                "type": "color",
                "cssSelector": "input[type=''text'']:focus,input[type=''password'']:focus, input[type=''datetime'']:focus,input[type=''datetime-local'']:focus, input[type=''date'']:focus,input[type=''month'']:focus, input[type=''time'']:focus,input[type=''week'']:focus, input[type=''number'']:focus,input[type=''email'']:focus, input[type=''url'']:focus,input[type=''search'']:focus, input[type=''tel'']:focus,input[type=''color'']:focus,textarea:focus, select:focus",
                "cssProperty": "border-color",
                "value": "#73c2c9"
              },
              {
                "id": "inputDisabled",
                "name": "Disabled",
                "section": "Inputs",
                "type": "color",
                "cssSelector": "input[disabled],textarea[disabled],select[disabled]",
                "cssProperty": "color",
                "value": "#73c2c9"
              },
              {
                "id": "error",
                "name": "Error Messages",
                "section": "Inputs",
                "type": "color",
                "cssSelector": ".error",
                "cssProperty": "color",
                "value": "#ff0000"
              },
              {
                "id": "sliderHandler",
                "name": "Slider Handler",
                "section": "Inputs",
                "type": "color",
                "cssSelector": ".handler .bg ",
                "cssProperty": "fill",
                "value": "#ff0000"
              },
              {
                "id": "sliderHandlerLines",
                "name": "Slider Handler Lines",
                "section": "Inputs",
                "type": "color",
                "cssSelector": ".handler .lines",
                "cssProperty": "fill",
                "value": "#ff0000"
              },
              {
                "id": "checkboxOuter",
                "name": "Checkbox Outer",
                "section": "Inputs",
                "type": "color",
                "cssSelector": ".component-checkbox .marker:before",
                "cssProperty": "border-color",
                "value": "#ffffff"
              },
              {
                "id": "checkboxInner",
                "name": "Checkbox Inner",
                "section": "Inputs",
                "type": "color",
                "cssSelector": ".component-checkbox .check",
                "cssProperty": "fill",
                "value": "#016ab2"
              },
              {
                "id": "radioOuter",
                "name": "Radio Outer",
                "section": "Inputs",
                "type": "color",
                "cssSelector": ".component-radio .marker:before",
                "cssProperty": "border-color",
                "value": "#ffffff"
              },
              {
                "id": "radioInner",
                "name": "Radio Inner",
                "section": "Inputs",
                "type": "color",
                "cssSelector": ".component-radio .bullet",
                "cssProperty": "fill",
                "value": "#016ab2"
              },
              {
                "id": "tableBackground",
                "name": "Background",
                "section": "Tables",
                "type": "color",
                "cssSelector": "table, .table-wrapper, .component-table td",
                "cssProperty": "background-color",
                "value": "#ffffff"
              },
              {
                "id": "tableText",
                "name": "Table Text",
                "section": "Tables",
                "type": "color",
                "cssSelector": "table, .table-wrapper, .component-table td",
                "cssProperty": "color",
                "value": "#414141"
              },
              {
                "id": "gridText",
                "name": "Grid Text",
                "section": "Grid",
                "type": "color",
                "cssSelector": ".ui-grid-canvas",
                "cssProperty": "color",
                "value": "#000000"
              },
              {
                "id": "menuText",
                "name": "Menu Text",
                "section": "Grid",
                "type": "color",
                "cssSelector": ".ui-grid-contents-wrapper",
                "cssProperty": "color",
                "value": "#000000"
              },
              {
                "id": "tableBorders",
                "name": "Table Borders",
                "section": "Tables",
                "type": "color",
                "cssSelector": ".component-table, .component-table td, .component-table th, .table-scrollable",
                "cssProperty": "border-color",
                "value": "#dddddd"
              },
              {
                "id": "graph1",
                "name": "1<sup>st</sup>",
                "section": "Graphs",
                "type": "color",
                "value": "#2528b0"
              },
              {
                "id": "graph2",
                "name": "2<sup>nd</sup>",
                "section": "Graphs",
                "type": "color",
                "value": "#5de2ff"
              },
              {
                "id": "graph3",
                "name": "3<sup>rd</sup>",
                "section": "Graphs",
                "type": "color",
                "value": "#5cf671"
              },
              {
                "id": "graph4",
                "name": "4<sup>th</sup>",
                "section": "Graphs",
                "type": "color",
                "value": "#f8ca3d"
              },
              {
                "id": "graph5",
                "name": "5<sup>th</sup>",
                "section": "Graphs",
                "type": "color",
                "value": "#ffe595"
              },
              {
                "id": "graph_background",
                "name": "Background",
                "section": "Graphs",
                "type": "color",
                "transparentBg": "true",
                "value": "#f1f1f1"
              }
            ]
        ',
        TRUE,
        'ddc311de-8a52-4e54-af7c-75e4ad8f7de1',
        TRUE,
        TRUE);


INSERT INTO themes
(theme_name,
 description,
 version,
 grouping_id,
 created_by,
 created,
 modified_by,
 modified,
 settings,
 default_theme,
 UUID, updated, protected)
VALUES ('IQP Marine',
        'General palette for any use',
        1,
        0,
        null,
        now(),
        null,
        now(),
        '
        [
                    {
                        "id": "bodyColor",
                        "name": "Text Color",
                        "section": "General",
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "color",
                        "value": "#000000"
                    },
                    {
                        "id": "bodyBackgroundColor",
                        "name": "Background Color",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "selected": true,
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "background-color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "bodyBackgroundImage",
                        "name": "Background Image URL",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "type": "file",
                        "cssSelector": "body",
                        "cssProperty": "background"
                    },
                    {
                        "id": "secondaryTextFont",
                        "name": "Font Type",
                        "section": "General",
                        "type": "select",
                        "value": "Arial, Helvetica, Sans-Serif",
                        "cssSelector": "body",
                        "cssProperty": "font-family"
                    },
                    {
                        "id": "loader",
                        "name": "Loader color",
                        "section": "General",
                        "type": "color",
                        "value": "#000000",
                        "cssSelector": "#loader",
                        "cssProperty": "color"
                    },
                    {
                        "id": "header1Background",
                        "name": "Header 1 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "background-color",
                        "value": "rgb(55, 74, 99)"
                    },
                    {
                        "id": "header1Text",
                        "name": "Header 1 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "header2Background",
                        "name": "Header 2 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "background-color",
                        "value": "rgb(199, 199, 199)"
                    },
                    {
                        "id": "header2Text",
                        "name": "Header 2 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "color",
                        "value": "#000"
                    },
                    {
                        "id": "header3Background",
                        "name": "Header 3 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "background-color",
                        "value": "rgb(145, 149, 156)"
                    },
                    {
                        "id": "header3Text",
                        "name": "Header 3 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "color",
                        "value": "#000"
                    },
                    {
                        "id": "tableHeader",
                        "name": "Header",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "background-color",
                        "value": "rgb(145, 149, 156)"
                    },
                    {
                        "id": "tableHeaderText",
                        "name": "Header Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "tableBackground",
                        "name": "Background",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "tableText",
                        "name": "Table Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "color",
                        "value": "rgb(0, 0, 0)"
                    },
                    {
                        "id": "tableBorders",
                        "name": "Table Borders",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": ".component-table, .component-table td, .component-table th, .table-scrollable",
                        "cssProperty": "border-color",
                        "value": "rgb(221, 221, 221)"
                    },
                    {
                        "id": "gridHeader",
                        "name": "Header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "background",
                        "value": "rgb(145, 149, 156)"
                    },
                    {
                        "id": "gridTreeViewHeader",
                        "name": "Tree view header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "background",
                        "value": "#C7C7C7"
                    },
                    {
                        "id": "gridTreeViewHeaderText",
                        "name": "Tree view header text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "color",
                        "value": "rgb(44, 44, 44)"
                    },
                    {
                        "id": "gridHeaderText",
                        "name": "Header Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "gridText",
                        "name": "Grid Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-canvas",
                        "cssProperty": "color",
                        "value": "#000000"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-contents-wrapper",
                        "cssProperty": "color",
                        "value": "rgb(44, 44, 44)"
                    },
                    {
                        "id": "headerBackground",
                        "name": "Header Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "background-color",
                        "value": "rgb(27, 37, 50)"
                    },
                    {
                        "id": "headerText",
                        "name": "Header Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuBackground",
                        "name": "Menu Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav",
                        "cssProperty": "background-color",
                        "value": "rgb(27, 37, 50)"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button",
                        "cssProperty": "color",
                        "value": "rgb(65, 88, 117)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon (hover)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch .main-header-button: hover",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "menuIconActive",
                        "name": "Menu Icon (active)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "menuIconActiveBackground",
                        "name": "Menu Icon (active) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "background-color",
                        "value": "rgba(45, 61, 81, 0)"
                    },
                    {
                        "id": "menuItemHover",
                        "name": "Menu item (hover) text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuItemHoverBackground",
                        "name": "Menu item (hover) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "background-color",
                        "value": "rgb(55, 74, 99)"
                    },
                    {
                        "id": "menuItemSelected",
                        "name": "Menu item (selected)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuItemSelectedBackground",
                        "name": "Menu item (selected) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "background-color",
                        "value": "rgb(55, 74, 99)"
                    },
                    {
                        "id": "containerBackground",
                        "name": "Container Background",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "background-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderColor",
                        "name": "Container Border Color",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderWidth",
                        "name": "Container Border Width",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-width",
                        "value": "medium"
                    },
                    {
                        "id": "containerBorderStyle",
                        "name": "Container Border Style",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-style",
                        "value": "solid"
                    },
                    {
                        "id": "primaryActions",
                        "name": "Primary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "background",
                        "value": "rgb(51, 149, 222)"
                    },
                    {
                        "id": "primaryActionsHover",
                        "name": "Primary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-primary: hover, .no-touch .component .btn:hover",
                        "cssProperty": "background",
                        "value": "rgb(41, 121, 181)"
                    },
                    {
                        "id": "primaryActionsText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "SecondaryActions",
                        "name": "Secondary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "background",
                        "value": "rgb(199, 199, 199)"
                    },
                    {
                        "id": "SecondaryActionsHover",
                        "name": "Secondary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-secondary: hover, .no-touch .component-button.btn: hover",
                        "cssProperty": "background",
                        "value": "rgb(168, 167, 167)"
                    },
                    {
                        "id": "SecondaryActionText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentPositive",
                        "name": "Accent Positive",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "background",
                        "value": "rgb(66, 177, 121)"
                    },
                    {
                        "id": "accentPositiveText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentNegative",
                        "name": "Accent Negative",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "background",
                        "value": "rgb(255, 91, 91)"
                    },
                    {
                        "id": "accentNegativeText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputField",
                        "name": "Field",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''], input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputFieldText",
                        "name": "Input Text",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''], input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "color",
                        "value": "#333333"
                    },
                    {
                        "id": "inputFocus",
                        "name": "Focus",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text'']: focus, input[type=''password'']: focus, input[type=''datetime'']: focus, input[type=''datetime-local'']: focus, input[type=''date'']: focus, input[type=''month'']: focus, input[type=''time'']: focus, input[type=''week'']: focus, input[type=''number'']: focus, input[type=''email'']: focus, input[type=''url'']: focus, input[type=''search'']: focus, input[type=''tel'']: focus, input[type=''color'']: focus, textarea: focus, select: focus",
                        "cssProperty": "border-color",
                        "value": "rgb(0, 149, 255)"
                    },
                    {
                        "id": "inputDisabled",
                        "name": "Disabled",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[disabled], textarea[disabled], select[disabled]",
                        "cssProperty": "color",
                        "value": "rgb(0, 149, 255)"
                    },
                    {
                        "id": "error",
                        "name": "Error Messages",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".error",
                        "cssProperty": "color",
                        "value": "rgb(255, 91, 91)"
                    },
                    {
                        "id": "sliderHandler",
                        "name": "Slider Handler",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .bg ",
                        "cssProperty": "fill",
                        "value": "rgb(255, 91, 91)"
                    },
                    {
                        "id": "sliderHandlerLines",
                        "name": "Slider Handler Lines",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .lines",
                        "cssProperty": "fill",
                        "value": "rgb(255, 91, 91)"
                    },
                    {
                        "id": "checkboxOuter",
                        "name": "Checkbox Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "checkboxInner",
                        "name": "Checkbox Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .check",
                        "cssProperty": "fill",
                        "value": "rgb(44, 44, 44)"
                    },
                    {
                        "id": "radioOuter",
                        "name": "Radio Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "radioInner",
                        "name": "Radio Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .bullet",
                        "cssProperty": "fill",
                        "value": "rgb(44, 44, 44)"
                    },
                    {
                        "id": "graph1",
                        "name": "1<sup>st</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(78, 107, 148)"
                    },
                    {
                        "id": "graph2",
                        "name": "2<sup>nd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(51, 192, 222)"
                    },
                    {
                        "id": "graph3",
                        "name": "3<sup>rd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(66, 177, 121)"
                    },
                    {
                        "id": "graph4",
                        "name": "4<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(255, 184, 72)"
                    },
                    {
                        "id": "graph5",
                        "name": "5<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(197, 107, 219)"
                    },
                    {
                        "id": "graph_background",
                        "name": "Background",
                        "section": "Graphs",
                        "type": "color",
                        "transparentBg": "true",
                        "value": "#f1f1f1"
                    }
                ]
        ',
        TRUE,
        '66403c35-5547-4627-8fc4-c5a001dbfc33',
        TRUE,
        TRUE);

INSERT INTO themes
(theme_name,
 description,
 version,
 grouping_id,
 created_by,
 created,
 modified_by,
 modified,
 settings,
 default_theme,
 UUID,
 updated,
 protected)
VALUES ('IQP Grayscale',
        'General palette for any use',
        1,
        0,
        null,
        now(),
        null,
        now(),
        ' [

                    {
                        "id": "bodyColor",
                        "name": "Text Color",
                        "section": "General",
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "color",
                        "value": "#000000"
                    },
                    {
                        "id": "bodyBackgroundColor",
                        "name": "Background Color",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "selected": true,
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "background-color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "bodyBackgroundImage",
                        "name": "Background Image URL",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "type": "file",
                        "cssSelector": "body",
                        "cssProperty": "background"
                    },
                    {
                        "id": "secondaryTextFont",
                        "name": "Font Type",
                        "section": "General",
                        "type": "select",
                        "value": "Arial, Helvetica, Sans-Serif",
                        "cssSelector": "body",
                        "cssProperty": "font-family"
                    },
                    {
                        "id": "loader",
                        "name": "Loader color",
                        "section": "General",
                        "type": "color",
                        "value": "#000000",
                        "cssSelector": "#loader",
                        "cssProperty": "color"
                    },
                    {
                        "id": "header1Background",
                        "name": "Header 1 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "background-color",
                        "value": "rgb(221, 221, 221)"
                    },
                    {
                        "id": "header1Text",
                        "name": "Header 1 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "color",
                        "value": "rgb(106, 106, 106)"
                    },
                    {
                        "id": "header2Background",
                        "name": "Header 2 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "background-color",
                        "value": "transparent"
                    },
                    {
                        "id": "header2Text",
                        "name": "Header 2 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "color",
                        "value": "#000"
                    },
                    {
                        "id": "header3Background",
                        "name": "Header 3 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "background-color",
                        "value": "transparent"
                    },
                    {
                        "id": "header3Text",
                        "name": "Header 3 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "color",
                        "value": "#000"
                    },
                    {
                        "id": "tableHeader",
                        "name": "Header",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "background-color",
                        "value": "rgb(160, 160, 160)"
                    },
                    {
                        "id": "tableHeaderText",
                        "name": "Header Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "tableBackground",
                        "name": "Background",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "tableText",
                        "name": "Table Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "color",
                        "value": "#414141"
                    },
                    {
                        "id": "tableBorders",
                        "name": "Table Borders",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": ".component-table, .component-table td, .component-table th, .table-scrollable",
                        "cssProperty": "border-color",
                        "value": "#dddddd"
                    },
                    {
                        "id": "gridHeader",
                        "name": "Header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "background",
                        "value": "rgb(160, 160, 160)"
                    },
                    {
                        "id": "gridTreeViewHeader",
                        "name": "Tree view header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "background",
                        "value": "rgb(199, 199, 199)"
                    },
                    {
                        "id": "gridTreeViewHeaderText",
                        "name": "Tree view header text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "color",
                        "value": "#2C2C2C"
                    },
                    {
                        "id": "gridHeaderText",
                        "name": "Header Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "gridText",
                        "name": "Grid Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-canvas",
                        "cssProperty": "color",
                        "value": "#000000"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-contents-wrapper",
                        "cssProperty": "color",
                        "value": "rgb(65, 65, 65)"
                    },
                    {
                        "id": "headerBackground",
                        "name": "Header Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "background-color",
                        "value": "rgb(55, 55, 55)"
                    },
                    {
                        "id": "headerText",
                        "name": "Header Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuBackground",
                        "name": "Menu Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav",
                        "cssProperty": "background-color",
                        "value": "rgb(55, 55, 55)"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item",
                        "cssProperty": "color",
                        "value": "rgb(160, 160, 160)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button",
                        "cssProperty": "color",
                        "value": "rgb(160, 160, 160)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon (hover)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch .main-header-button: hover",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "menuIconActive",
                        "name": "Menu Icon (active)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuIconActiveBackground",
                        "name": "Menu Icon (active) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "background-color",
                        "value": "rgb(102, 102, 102)"
                    },
                    {
                        "id": "menuItemHover",
                        "name": "Menu item (hover) text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuItemHoverBackground",
                        "name": "Menu item (hover) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "background-color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "menuItemSelected",
                        "name": "Menu item (selected)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuItemSelectedBackground",
                        "name": "Menu item (selected) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "background-color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "containerBackground",
                        "name": "Container Background",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "background-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderColor",
                        "name": "Container Border Color",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderWidth",
                        "name": "Container Border Width",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-width",
                        "value": "medium"
                    },
                    {
                        "id": "containerBorderStyle",
                        "name": "Container Border Style",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-style",
                        "value": "solid"
                    },
                    {
                        "id": "primaryActions",
                        "name": "Primary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "background",
                        "value": "rgb(51, 181, 229)"
                    },
                    {
                        "id": "primaryActionsHover",
                        "name": "Primary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-primary: hover, .no-touch .component .btn:hover",
                        "cssProperty": "background",
                        "value": "rgb(30, 126, 161)"
                    },
                    {
                        "id": "primaryActionsText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "SecondaryActions",
                        "name": "Secondary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "background",
                        "value": "rgb(119, 119, 119)"
                    },
                    {
                        "id": "SecondaryActionsHover",
                        "name": "Secondary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-secondary: hover, .no-touch .component-button.btn: hover",
                        "cssProperty": "background",
                        "value": "rgb(94, 93, 93)"
                    },
                    {
                        "id": "SecondaryActionText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentPositive",
                        "name": "Accent Positive",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "background",
                        "value": "rgb(159, 209, 52)"
                    },
                    {
                        "id": "accentPositiveText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentNegative",
                        "name": "Accent Negative",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "background",
                        "value": "rgb(251, 64, 64)"
                    },
                    {
                        "id": "accentNegativeText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputField",
                        "name": "Field",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''], input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputFieldText",
                        "name": "Input Text",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''], input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "color",
                        "value": "#333333"
                    },
                    {
                        "id": "inputFocus",
                        "name": "Focus",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text'']: focus, input[type=''password'']: focus, input[type=''datetime'']: focus, input[type=''datetime-local'']: focus, input[type=''date'']: focus, input[type=''month'']: focus, input[type=''time'']: focus, input[type=''week'']: focus, input[type=''number'']: focus, input[type=''email'']: focus, input[type=''url'']: focus, input[type=''search'']: focus, input[type=''tel'']: focus, input[type=''color'']: focus, textarea: focus, select: focus",
                        "cssProperty": "border-color",
                        "value": "rgb(0, 149, 255)"
                    },
                    {
                        "id": "inputDisabled",
                        "name": "Disabled",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[disabled], textarea[disabled], select[disabled]",
                        "cssProperty": "color",
                        "value": "rgb(0, 149, 255)"
                    },
                    {
                        "id": "error",
                        "name": "Error Messages",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".error",
                        "cssProperty": "color",
                        "value": "rgb(251, 64, 64)"
                    },
                    {
                        "id": "sliderHandler",
                        "name": "Slider Handler",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .bg ",
                        "cssProperty": "fill",
                        "value": "rgb(251, 64, 64)"
                    },
                    {
                        "id": "sliderHandlerLines",
                        "name": "Slider Handler Lines",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .lines",
                        "cssProperty": "fill",
                        "value": "rgb(251, 64, 64)"
                    },
                    {
                        "id": "checkboxOuter",
                        "name": "Checkbox Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "checkboxInner",
                        "name": "Checkbox Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .check",
                        "cssProperty": "fill",
                        "value": "rgb(106, 106, 106)"
                    },
                    {
                        "id": "radioOuter",
                        "name": "Radio Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "radioInner",
                        "name": "Radio Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .bullet",
                        "cssProperty": "fill",
                        "value": "rgb(106, 106, 106)"
                    },
                    {
                        "id": "graph1",
                        "name": "1<sup>st</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(63, 0, 147)"
                    },
                    {
                        "id": "graph2",
                        "name": "2<sup>nd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(61, 167, 222)"
                    },
                    {
                        "id": "graph3",
                        "name": "3<sup>rd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(159, 209, 52)"
                    },
                    {
                        "id": "graph4",
                        "name": "4<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(255, 186, 21)"
                    },
                    {
                        "id": "graph5",
                        "name": "5<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(251, 64, 64)"
                    },
                    {
                        "id": "graph_background",
                        "name": "Background",
                        "section": "Graphs",
                        "type": "color",
                        "transparentBg": "true",
                        "value": "rgb(238, 238, 238)"
                    }
                ]
        ',
        TRUE,
        '62c6fe70-7455-4e92-8f8f-3c8789a0a3b7',
        TRUE,
        TRUE);

INSERT INTO themes
(theme_name,
 description,
 version,
 grouping_id,
 created_by,
 created,
 modified_by,
 modified,
 settings,
 default_theme,
 UUID,
 updated,
 protected)
VALUES ('IQP Pastel',
        'General palette for any use',
        1,
        0,
        null,
        now(),
        null,
        now(),
        ' [
                    {
                        "id": "bodyColor",
                        "name": "Text Color",
                        "section": "General",
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "color",
                        "value": "rgb(56, 55, 55)"
                    },
                    {
                        "id": "bodyBackgroundColor",
                        "name": "Background Color",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "selected": true,
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "background-color",
                        "value": "rgb(242, 245, 247)"
                    },
                    {
                        "id": "bodyBackgroundImage",
                        "name": "Background Image URL",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "type": "file",
                        "cssSelector": "body",
                        "cssProperty": "background"
                    },
                    {
                        "id": "secondaryTextFont",
                        "name": "Font Type",
                        "section": "General",
                        "type": "select",
                        "value": "Arial, Helvetica, Sans-Serif",
                        "cssSelector": "body",
                        "cssProperty": "font-family"
                    },
                    {
                        "id": "loader",
                        "name": "Loader color",
                        "section": "General",
                        "type": "color",
                        "value": "rgb(255, 255, 255)",
                        "cssSelector": "#loader",
                        "cssProperty": "color"
                    },
                    {
                        "id": "header1Background",
                        "name": "Header 1 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "background-color",
                        "value": "rgb(159, 166, 177)"
                    },
                    {
                        "id": "header1Text",
                        "name": "Header 1 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "header2Background",
                        "name": "Header 2 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "background-color",
                        "value": "rgba(159, 166, 177, 0.49)"
                    },
                    {
                        "id": "header2Text",
                        "name": "Header 2 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "color",
                        "value": "rgb(56, 55, 55)"
                    },
                    {
                        "id": "header3Background",
                        "name": "Header 3 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "background-color",
                        "value": "transparent"
                    },
                    {
                        "id": "header3Text",
                        "name": "Header 3 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "color",
                        "value": "rgb(56, 55, 55)"
                    },
                    {
                        "id": "tableHeader",
                        "name": "Header",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "background-color",
                        "value": "rgb(230, 234, 237)"
                    },
                    {
                        "id": "tableHeaderText",
                        "name": "Header Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "color",
                        "value": "rgb(56, 55, 55)"
                    },
                    {
                        "id": "tableBackground",
                        "name": "Background",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "tableText",
                        "name": "Table Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "color",
                        "value": "rgb(56, 55, 55)"
                    },
                    {
                        "id": "tableBorders",
                        "name": "Table Borders",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": ".component-table, .component-table td, .component-table th, .table-scrollable",
                        "cssProperty": "border-color",
                        "value": "rgb(198, 203, 208)"
                    },
                    {
                        "id": "headerBackground",
                        "name": "Header Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "background-color",
                        "value": "rgb(180, 185, 192)"
                    },
                    {
                        "id": "headerText",
                        "name": "Header Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuBackground",
                        "name": "Menu Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav",
                        "cssProperty": "background-color",
                        "value": "rgb(217, 221, 227)"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item",
                        "cssProperty": "color",
                        "value": "rgb(142, 150, 161)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon (hover)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch .main-header-button: hover",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "menuIconActive",
                        "name": "Menu Icon (active)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuIconActiveBackground",
                        "name": "Menu Icon (active) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "background-color",
                        "value": "rgb(157, 161, 166)"
                    },
                    {
                        "id": "menuItemHover",
                        "name": "Menu item (hover) text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuItemHoverBackground",
                        "name": "Menu item (hover) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "background-color",
                        "value": "rgb(159, 166, 177)"
                    },
                    {
                        "id": "menuItemSelected",
                        "name": "Menu item (selected)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuItemSelectedBackground",
                        "name": "Menu item (selected) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "background-color",
                        "value": "rgb(159, 166, 177)"
                    },
                    {
                        "id": "containerBackground",
                        "name": "Container Background",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "background-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderColor",
                        "name": "Container Border Color",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderWidth",
                        "name": "Container Border Width",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-width",
                        "value": "thin"
                    },
                    {
                        "id": "containerBorderStyle",
                        "name": "Container Border Style",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-style",
                        "value": "solid"
                    },
                    {
                        "id": "primaryActions",
                        "name": "Primary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "background",
                        "value": "rgb(125, 169, 205)"
                    },
                    {
                        "id": "primaryActionsHover",
                        "name": "Primary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-primary: hover, .no-touch .component .btn: hover",
                        "cssProperty": "background",
                        "value": "rgb(104, 146, 180)"
                    },
                    {
                        "id": "primaryActionsText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "SecondaryActions",
                        "name": "Secondary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "background",
                        "value": "rgb(198, 203, 208)"
                    },
                    {
                        "id": "SecondaryActionsHover",
                        "name": "Secondary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-secondary: hover, .no-touch .component-button.btn: hover",
                        "cssProperty": "background",
                        "value": "rgb(157, 161, 166)"
                    },
                    {
                        "id": "SecondaryActionText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentPositive",
                        "name": "Accent Positive",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "background",
                        "value": "rgb(100, 168, 151)"
                    },
                    {
                        "id": "accentPositiveText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "color",
                        "value": "rgb(255, 251, 251)"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentNegative",
                        "name": "Accent Negative",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "background",
                        "value": "rgb(195, 116, 97)"
                    },
                    {
                        "id": "accentNegativeText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputField",
                        "name": "Field",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''],, input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputFieldText",
                        "name": "Input Text",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''],, input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "color",
                        "value": "#333333"
                    },
                    {
                        "id": "inputFocus",
                        "name": "Focus",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text'']: focus, input[type=''password'']: focus, input[type=''datetime'']: focus, input[type=''datetime-local'']: focus, input[type=''date'']: focus, input[type=''month'']: focus, input[type=''time'']: focus, input[type=''week'']: focus, input[type=''number'']: focus, input[type=''email'']: focus, input[type=''url''],: focus, input[type=''search'']: focus, input[type=''tel'']: focus, input[type=''color'']: focus, textarea: focus, select: focus",
                        "cssProperty": "border-color",
                        "value": "rgb(143, 189, 227)"
                    },
                    {
                        "id": "inputDisabled",
                        "name": "Disabled",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[disabled], textarea[disabled], select[disabled]",
                        "cssProperty": "color",
                        "value": "rgb(143, 189, 227)"
                    },
                    {
                        "id": "error",
                        "name": "Error Messages",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".error",
                        "cssProperty": "color",
                        "value": "rgb(171, 89, 69)"
                    },
                    {
                        "id": "sliderHandler",
                        "name": "Slider Handler",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .bg ",
                        "cssProperty": "fill",
                        "value": "#ff0000"
                    },
                    {
                        "id": "sliderHandlerLines",
                        "name": "Slider Handler Lines",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .lines",
                        "cssProperty": "fill",
                        "value": "#ff0000"
                    },
                    {
                        "id": "checkboxOuter",
                        "name": "Checkbox Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "checkboxInner",
                        "name": "Checkbox Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .check",
                        "cssProperty": "fill",
                        "value": "rgb(56, 55, 55)"
                    },
                    {
                        "id": "radioOuter",
                        "name": "Radio Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "radioInner",
                        "name": "Radio Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .bullet",
                        "cssProperty": "fill",
                        "value": "rgb(56, 55, 55)"
                    },
                    {
                        "id": "graph1",
                        "name": "1<sup>st</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(125, 141, 205)"
                    },
                    {
                        "id": "graph2",
                        "name": "2<sup>nd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(125, 169, 205)"
                    },
                    {
                        "id": "graph3",
                        "name": "3<sup>rd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(100, 168, 151)"
                    },
                    {
                        "id": "graph4",
                        "name": "4<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(209, 192, 113)"
                    },
                    {
                        "id": "graph5",
                        "name": "5<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(195, 116, 97)"
                    },
                    {
                        "id": "graph_background",
                        "name": "Background",
                        "section": "Graphs",
                        "type": "color",
                        "transparentBg": "true",
                        "value": "rgb(255, 255, 255)"
                    }
                ]
        ',
        TRUE,
        'c6e97cb1-766e-45db-b2f7-f7a48019daca',
        TRUE,
        TRUE);

INSERT INTO themes
(theme_name,
 description,
 version,
 grouping_id,
 created_by,
 created,
 modified_by,
 modified,
 settings,
 default_theme,
 UUID,
 updated,
 protected)
VALUES ('IQP Light',
        'General palette for any use',
        1,
        0,
        null,
        now(),
        null,
        now(),
        '
            [
                    {
                        "id": "bodyColor",
                        "name": "Text Color",
                        "section": "General",
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "bodyBackgroundColor",
                        "name": "Background Color",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "selected": true,
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "background-color",
                        "value": "rgb(241, 243, 246)"
                    },
                    {
                        "id": "bodyBackgroundImage",
                        "name": "Background Image URL",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "type": "file",
                        "cssSelector": "body",
                        "cssProperty": "background"
                    },
                    {
                        "id": "secondaryTextFont",
                        "name": "Font Type",
                        "section": "General",
                        "type": "select",
                        "value": "Arial, Helvetica, Sans-Serif",
                        "cssSelector": "body",
                        "cssProperty": "font-family"
                    },
                    {
                        "id": "loader",
                        "name": "Loader color",
                        "section": "General",
                        "type": "color",
                        "value": "#000000",
                        "cssSelector": "#loader",
                        "cssProperty": "color"
                    },
                    {
                        "id": "header1Background",
                        "name": "Header 1 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "background-color",
                        "value": "rgb(189, 198, 212)"
                    },
                    {
                        "id": "header1Text",
                        "name": "Header 1 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "header2Background",
                        "name": "Header 2 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "background-color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "header2Text",
                        "name": "Header 2 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "header3Background",
                        "name": "Header 3 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "background-color",
                        "value": "rgb(189, 198, 212)"
                    },
                    {
                        "id": "header3Text",
                        "name": "Header 3 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "tableHeader",
                        "name": "Header",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "background-color",
                        "value": "rgb(217, 223, 234)"
                    },
                    {
                        "id": "tableHeaderText",
                        "name": "Header Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "tableBackground",
                        "name": "Background",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "tableText",
                        "name": "Table Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "tableBorders",
                        "name": "Table Borders",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": ".component-table, .component-table td, .component-table th, .table-scrollable",
                        "cssProperty": "border-color",
                        "value": "rgb(219, 221, 225)"
                    },
                    {
                        "id": "gridHeader",
                        "name": "Header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "background",
                        "value": "rgb(217, 223, 234)"
                    },
                    {
                        "id": "gridTreeViewHeader",
                        "name": "Tree view header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "background",
                        "value": "rgb(217, 223, 234)"
                    },
                    {
                        "id": "gridTreeViewHeaderText",
                        "name": "Tree view header text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "gridHeaderText",
                        "name": "Header Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "gridText",
                        "name": "Grid Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-canvas",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-contents-wrapper",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "headerBackground",
                        "name": "Header Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "background-color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "headerText",
                        "name": "Header Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "menuBackground",
                        "name": "Menu Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav",
                        "cssProperty": "background-color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item",
                        "cssProperty": "color",
                        "value": "rgb(173, 179, 189)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button",
                        "cssProperty": "color",
                        "value": "rgb(137, 144, 155)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon (hover)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch .main-header-button: hover",
                        "cssProperty": "color",
                        "value": "rgb(30, 41, 61)"
                    },
                    {
                        "id": "menuIconActive",
                        "name": "Menu Icon (active)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "color",
                        "value": "rgb(30, 41, 61)"
                    },
                    {
                        "id": "menuIconActiveBackground",
                        "name": "Menu Icon (active) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "background-color",
                        "value": "rgba(102, 102, 102, 0)"
                    },
                    {
                        "id": "menuItemHover",
                        "name": "Menu item (hover) text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "color",
                        "value": "rgb(30, 41, 61)"
                    },
                    {
                        "id": "menuItemHoverBackground",
                        "name": "Menu item (hover) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "background-color",
                        "value": "rgb(241, 243, 245)"
                    },
                    {
                        "id": "menuItemSelected",
                        "name": "Menu item (selected)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "color",
                        "value": "rgb(30, 41, 61)"
                    },
                    {
                        "id": "menuItemSelectedBackground",
                        "name": "Menu item (selected) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "background-color",
                        "value": "rgb(241, 243, 245)"
                    },
                    {
                        "id": "containerBackground",
                        "name": "Container Background",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "background-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderColor",
                        "name": "Container Border Color",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderWidth",
                        "name": "Container Border Width",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-width",
                        "value": "thick"
                    },
                    {
                        "id": "containerBorderStyle",
                        "name": "Container Border Style",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-style",
                        "value": "solid"
                    },
                    {
                        "id": "primaryActions",
                        "name": "Primary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "background",
                        "value": "rgb(25, 184, 255)"
                    },
                    {
                        "id": "primaryActionsHover",
                        "name": "Primary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-primary: hover, .no-touch .component .btn: hover",
                        "cssProperty": "background",
                        "value": "rgb(36, 159, 214)"
                    },
                    {
                        "id": "primaryActionsText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "SecondaryActions",
                        "name": "Secondary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "background",
                        "value": "rgb(113, 201, 205)"
                    },
                    {
                        "id": "SecondaryActionsHover",
                        "name": "Secondary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-secondary: hover, .no-touch .component-button.btn:hover",
                        "cssProperty": "background",
                        "value": "rgb(108, 176, 179)"
                    },
                    {
                        "id": "SecondaryActionText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentPositive",
                        "name": "Accent Positive",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "background",
                        "value": "rgb(144, 200, 140)"
                    },
                    {
                        "id": "accentPositiveText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentNegative",
                        "name": "Accent Negative",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "background",
                        "value": "rgb(207, 78, 79)"
                    },
                    {
                        "id": "accentNegativeText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputField",
                        "name": "Field",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''], input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputFieldText",
                        "name": "Input Text",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''], input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "color",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "inputFocus",
                        "name": "Focus",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text'']: focus, input[type=''password'']: focus, input[type=''datetime'']: focus, input[type=''datetime-local'']: focus, input[type=''date'']: focus, input[type=''month'']: focus, input[type=''time'']: focus, input[type=''week'']: focus, input[type=''number'']: focus, input[type=''email'']: focus, input[type=''url'']: focus, input[type=''search'']: focus, input[type=''tel'']: focus, input[type=''color'']: focus, textarea: focus, select: focus",
                        "cssProperty": "border-color",
                        "value": "rgb(25, 184, 255)"
                    },
                    {
                        "id": "inputDisabled",
                        "name": "Disabled",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[disabled], textarea[disabled], select[disabled]",
                        "cssProperty": "color",
                        "value": "rgb(25, 184, 255)"
                    },
                    {
                        "id": "error",
                        "name": "Error Messages",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".error",
                        "cssProperty": "color",
                        "value": "rgb(207, 78, 79)"
                    },
                    {
                        "id": "sliderHandler",
                        "name": "Slider Handler",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .bg ",
                        "cssProperty": "fill",
                        "value": "rgb(255, 64, 129)"
                    },
                    {
                        "id": "sliderHandlerLines",
                        "name": "Slider Handler Lines",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .lines",
                        "cssProperty": "fill",
                        "value": "rgb(255, 64, 129)"
                    },
                    {
                        "id": "checkboxOuter",
                        "name": "Checkbox Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "checkboxInner",
                        "name": "Checkbox Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .check",
                        "cssProperty": "fill",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "radioOuter",
                        "name": "Radio Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "radioInner",
                        "name": "Radio Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .bullet",
                        "cssProperty": "fill",
                        "value": "rgb(17, 36, 59)"
                    },
                    {
                        "id": "graph1",
                        "name": "1<sup>st</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(129, 109, 219)"
                    },
                    {
                        "id": "graph2",
                        "name": "2<sup>nd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(25, 184, 255)"
                    },
                    {
                        "id": "graph3",
                        "name": "3<sup>rd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(144, 200, 140)"
                    },
                    {
                        "id": "graph4",
                        "name": "4<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(230, 147, 70)"
                    },
                    {
                        "id": "graph5",
                        "name": "5<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(235, 191, 87)"
                    },
                    {
                        "id": "graph_background",
                        "name": "Background",
                        "section": "Graphs",
                        "type": "color",
                        "transparentBg": "true",
                        "value": "#f1f1f1",
                        "transparent": true
                    }
                ]
        ',
        TRUE,
        '4b0c5be6-6627-4d37-ad23-c1b632a00dbc',
        TRUE,
        TRUE);


INSERT INTO themes
(theme_name,
 description,
 version,
 grouping_id,
 created_by,
 created,
 modified_by,
 modified,
 settings,
 default_theme,
 UUID,
 updated,
 protected)
VALUES ('IQP Solid',
        'General palette for any use',
        1,
        0,
        null,
        now(),
        null,
        now(),
        ' [
                    {
                        "id": "bodyColor",
                        "name": "Text Color",
                        "section": "General",
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "bodyBackgroundColor",
                        "name": "Background Color",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "selected": true,
                        "type": "color",
                        "cssSelector": "body",
                        "cssProperty": "background-color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "bodyBackgroundImage",
                        "name": "Background Image URL",
                        "section": "General",
                        "propertyGroup": "solidColor",
                        "type": "file",
                        "cssSelector": "body",
                        "cssProperty": "background"
                    },
                    {
                        "id": "secondaryTextFont",
                        "name": "Font Type",
                        "section": "General",
                        "type": "select",
                        "value": "Arial, Helvetica, Sans-Serif",
                        "cssSelector": "body",
                        "cssProperty": "font-family"
                    },
                    {
                        "id": "loader",
                        "name": "Loader color",
                        "section": "General",
                        "type": "color",
                        "value": "rgb(34, 34, 34)",
                        "cssSelector": "#loader",
                        "cssProperty": "color"
                    },
                    {
                        "id": "header1Background",
                        "name": "Header 1 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "background-color",
                        "value": "rgba(63, 93, 169, 0.41)"
                    },
                    {
                        "id": "header1Text",
                        "name": "Header 1 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h1",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "header2Background",
                        "name": "Header 2 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "background-color",
                        "value": "rgb(134, 143, 168)"
                    },
                    {
                        "id": "header2Text",
                        "name": "Header 2 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h2",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "header3Background",
                        "name": "Header 3 background",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "background-color",
                        "value": "rgb(193, 190, 190)"
                    },
                    {
                        "id": "header3Text",
                        "name": "Header 3 text",
                        "section": "Headers",
                        "type": "color",
                        "cssSelector": ".component-header-h3",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "tableHeader",
                        "name": "Header",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "background-color",
                        "value": "rgb(212, 212, 212)"
                    },
                    {
                        "id": "tableHeaderText",
                        "name": "Header Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table th",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "tableBackground",
                        "name": "Background",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "tableText",
                        "name": "Table Text",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": "table, .table-wrapper, .component-table td",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "tableBorders",
                        "name": "Table Borders",
                        "section": "Tables",
                        "type": "color",
                        "cssSelector": ".component-table, .component-table td, .component-table th, .table-scrollable",
                        "cssProperty": "border-color",
                        "value": "rgb(221, 221, 221)"
                    },
                    {
                        "id": "gridHeader",
                        "name": "Header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "background",
                        "value": "rgb(212, 212, 212)"
                    },
                    {
                        "id": "gridTreeViewHeader",
                        "name": "Tree view header",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "background",
                        "value": "rgb(212, 212, 212)"
                    },
                    {
                        "id": "gridTreeViewHeaderText",
                        "name": "Tree view header text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".inner-header .ui-grid-cell-contents",
                        "cssProperty": "color",
                        "value": "#2C2C2C"
                    },
                    {
                        "id": "gridHeaderText",
                        "name": "Header Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-top-panel",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "gridText",
                        "name": "Grid Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-canvas",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Grid",
                        "type": "color",
                        "cssSelector": ".ui-grid-contents-wrapper",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "headerBackground",
                        "name": "Header Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "background-color",
                        "value": "rgb(63, 93, 169)"
                    },
                    {
                        "id": "headerText",
                        "name": "Header Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-header",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuBackground",
                        "name": "Menu Background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav",
                        "cssProperty": "background-color",
                        "value": "rgb(236, 236, 236)"
                    },
                    {
                        "id": "menuText",
                        "name": "Menu Text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item",
                        "cssProperty": "color",
                        "value": "rgb(63, 93, 169)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button",
                        "cssProperty": "color",
                        "value": "rgba(255, 255, 255, 0.45)"
                    },
                    {
                        "id": "menuIcon",
                        "name": "Menu Icon (hover)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch .main-header-button: hover",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "id": "menuIconActive",
                        "name": "Menu Icon (active)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuIconActiveBackground",
                        "name": "Menu Icon (active) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".main-header-button.active",
                        "cssProperty": "background-color",
                        "value": "rgba(102, 102, 102, 0)"
                    },
                    {
                        "id": "menuItemHover",
                        "name": "Menu item (hover) text",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "menuItemHoverBackground",
                        "name": "Menu item (hover) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": ".no-touch #main-nav .main-nav-item: hover",
                        "cssProperty": "background-color",
                        "value": "rgb(63, 93, 169)"
                    },
                    {
                        "id": "menuItemSelected",
                        "name": "Menu item (selected)",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "color",
                        "value": "rgb(63, 93, 169)"
                    },
                    {
                        "id": "menuItemSelectedBackground",
                        "name": "Menu item (selected) background",
                        "section": "Navigation",
                        "type": "color",
                        "cssSelector": "#main-nav .main-nav-item.active",
                        "cssProperty": "background-color",
                        "value": "rgb(63, 93, 169)"
                    },
                    {
                        "id": "containerBackground",
                        "name": "Container Background",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "background-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderColor",
                        "name": "Container Border Color",
                        "section": "Container",
                        "type": "color",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-color",
                        "value": "rgba(255, 255, 255, 0)"
                    },
                    {
                        "id": "containerBorderWidth",
                        "name": "Container Border Width",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-width",
                        "value": "thin"
                    },
                    {
                        "id": "containerBorderStyle",
                        "name": "Container Border Style",
                        "section": "Container",
                        "type": "select",
                        "cssSelector": ".container-style",
                        "cssProperty": "border-style",
                        "value": "solid"
                    },
                    {
                        "id": "primaryActions",
                        "name": "Primary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "background",
                        "value": "rgb(56, 133, 215)"
                    },
                    {
                        "id": "primaryActionsHover",
                        "name": "Primary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-primary: hover, .no-touch .component .btn: hover",
                        "cssProperty": "background",
                        "value": "rgb(42, 105, 172)"
                    },
                    {
                        "id": "primaryActionsText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-primary, .component .btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "SecondaryActions",
                        "name": "Secondary Actions",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "background",
                        "value": "rgb(151, 151, 151)"
                    },
                    {
                        "id": "SecondaryActionsHover",
                        "name": "Secondary Actions Hover",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".no-touch .component-button.btn.btn-secondary: hover, .no-touch .component-button.btn:hover",
                        "cssProperty": "background",
                        "value": "rgb(117, 117, 117)"
                    },
                    {
                        "id": "SecondaryActionText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-secondary, .component-button.btn",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentPositive",
                        "name": "Accent Positive",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "background",
                        "value": "rgb(40, 171, 96)"
                    },
                    {
                        "id": "accentPositiveText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-success",
                        "cssProperty": "color",
                        "value": "rgb(255, 255, 255)"
                    },
                    {
                        "section": "Buttons and Actions",
                        "type": "hr"
                    },
                    {
                        "id": "accentNegative",
                        "name": "Accent Negative",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "background",
                        "value": "rgb(218, 68, 54)"
                    },
                    {
                        "id": "accentNegativeText",
                        "name": "Text on Buttons",
                        "section": "Buttons and Actions",
                        "type": "color",
                        "cssSelector": ".component-button.btn.btn-danger",
                        "cssProperty": "color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputField",
                        "name": "Field",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''],, input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "background-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "inputFieldText",
                        "name": "Input Text",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text''], input[type=''password''], input[type=''datetime''], input[type=''datetime-local''], input[type=''date''], input[type=''month''], input[type=''time''], input[type=''week''], input[type=''number''], input[type=''email''], input[type=''url''],, input[type=''search''], input[type=''tel''], input[type=''color''], textarea, select",
                        "cssProperty": "color",
                        "value": "rgb(34, 34, 34)"
                    },
                    {
                        "id": "inputFocus",
                        "name": "Focus",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[type=''text'']: focus, input[type=''password'']: focus, input[type=''datetime'']: focus, input[type=''datetime-local'']: focus, input[type=''date'']: focus, input[type=''month'']: focus, input[type=''time'']: focus, input[type=''week'']: focus, input[type=''number'']: focus, input[type=''email'']: focus, input[type=''url''],: focus, input[type=''search'']: focus, input[type=''tel'']: focus, input[type=''color'']: focus, textarea: focus, select: focus",
                        "cssProperty": "border-color",
                        "value": "rgb(13, 81, 253)"
                    },
                    {
                        "id": "inputDisabled",
                        "name": "Disabled",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": "input[disabled], textarea[disabled], select[disabled]",
                        "cssProperty": "color",
                        "value": "rgb(13, 81, 253)"
                    },
                    {
                        "id": "error",
                        "name": "Error Messages",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".error",
                        "cssProperty": "color",
                        "value": "rgb(218, 68, 54)"
                    },
                    {
                        "id": "sliderHandler",
                        "name": "Slider Handler",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .bg ",
                        "cssProperty": "fill",
                        "value": "rgb(255, 64, 129)"
                    },
                    {
                        "id": "sliderHandlerLines",
                        "name": "Slider Handler Lines",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".handler .lines",
                        "cssProperty": "fill",
                        "value": "rgb(255, 64, 129)"
                    },
                    {
                        "id": "checkboxOuter",
                        "name": "Checkbox Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "checkboxInner",
                        "name": "Checkbox Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-checkbox .check",
                        "cssProperty": "fill",
                        "value": "rgb(60, 60, 60)"
                    },
                    {
                        "id": "radioOuter",
                        "name": "Radio Outer",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .marker: before",
                        "cssProperty": "border-color",
                        "value": "#ffffff"
                    },
                    {
                        "id": "radioInner",
                        "name": "Radio Inner",
                        "section": "Inputs",
                        "type": "color",
                        "cssSelector": ".component-radio .bullet",
                        "cssProperty": "fill",
                        "value": "rgb(60, 60, 60)"
                    },
                    {
                        "id": "graph1",
                        "name": "1<sup>st</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(153, 51, 204)"
                    },
                    {
                        "id": "graph2",
                        "name": "2<sup>nd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(53, 117, 224)"
                    },
                    {
                        "id": "graph3",
                        "name": "3<sup>rd</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(103, 158, 55)"
                    },
                    {
                        "id": "graph4",
                        "name": "4<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(253, 184, 0)"
                    },
                    {
                        "id": "graph5",
                        "name": "5<sup>th</sup>",
                        "section": "Graphs",
                        "type": "color",
                        "value": "rgb(245, 131, 0)"
                    },
                    {
                        "id": "graph_background",
                        "name": "Background",
                        "section": "Graphs",
                        "type": "color",
                        "transparentBg": "true",
                        "value": "#f1f1f1"
                    }
                ]
        ',
        TRUE,
        'e9e94d6e-ae39-4633-b874-6016c45e05d1',
        TRUE,
        TRUE);
