SET SEARCH_PATH = iqp_apprealm;


INSERT INTO flows
(flow_name,
 flow_type,
 description,
 version,
 grouping_id,
 impl_details,
 details,
 inputs,
 outputs,
 detailed_inputs,
 detailed_outputs,
 protected,
 UUID)
VALUES ('Add new device type',
        'function',
        'Add new device type',
        1,
        0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewDeviceType(%%device_type%%,%%description%%,%%manufacture%%,%%product_code%%,%%generic_1%%,%%generic_2%%,%%pull_interval%%,%%is_active%%)"}',
        '',
        'device_type,description,manufacture,product_code,generic_1,generic_2,pull_interval,is_active',
        '',
        '{"data":[{"name":"device_type","type":"java.lang.String"},{"name":"description","type":"java.lang.String"},{"name":"manufacture","type":"java.lang.String"},{"name":"product_code","type":"java.lang.String"},{"name":"generic_1","type":"java.lang.String"},{"name":"generic_2","type":"java.lang.String"},{"name":"pull_interval","type":"java.lang.Integer"},{"name":"is_active","type":"java.lang.Boolean"}]}',
        '{"data":[]}',
        FALSE,
        '4946bbed-48ef-4d63-ae07-bb9b9b0e5598');

INSERT INTO flows
(flow_name,
 flow_type,
 description,
 version,
 grouping_id,
 impl_details,
 details,
 inputs,
 outputs,
 detailed_inputs,
 detailed_outputs,
 protected,
 UUID)
VALUES ('Add new Metric to Device type',
        'function',
        'Add new Metric to Device type', 1, 0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewMetricToDeviceType(%%device_type%%,%%metric%%)"}',
        '', 'device_type,metric', '',
        '{"data":[{"name":"device_type","type":"java.lang.String"},{"name":"metric","type":"java.lang.String"}]}',
        '{"data":[]}', FALSE,
        '1f2b1681-9dfb-45b7-8536-ad20989428c5');

INSERT INTO flows
(flow_name,
 flow_type,
 description,
 version,
 grouping_id,
 impl_details,
 details,
 inputs,
 outputs,
 detailed_inputs,
 detailed_outputs,
 protected,
 UUID)
VALUES ('Add new Device',
        'function',
        'Add new Device', 1, 0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewDevice(%%inputs%%)"}',
        '',
        'device_id,device_type,unique_address,url,location,altitude,latitude,longitude,device_username,device_password,pull_interval,firmware_ver,Description,generic_1,generic_2,is_active',
        '',
        '{"data":[{"name":"device_id","type":"java.lang.String"},{"name":"device_type","type":"java.lang.String"},{"name":"unique_address","type":"java.lang.String"},{"name":"url","type":"java.lang.String"},{"name":"location","type":"java.lang.String"},{"name":"altitude","type":"java.lang.String"},{"name":"latitude","type":"java.lang.String"},{"name":"longitude","type":"java.lang.String"},{"name":"device_username","type":"java.lang.String"},{"name":"device_password","type":"java.lang.String"},{"name":"pull_interval","type":"java.lang.Integer"},{"name":"firmware_ver","type":"java.lang.String"},{"name":"Description","type":"java.lang.String"},{"name":"generic_1","type":"java.lang.String"},{"name":"generic_2","type":"java.lang.String"},{"name":"is_active","type":"java.lang.Boolean"}]}',
        '{"data":[]}', FALSE,
        '263c1f48-477f-4158-ba26-fc20afce711c');

INSERT INTO flows
(flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs, outputs, detailed_inputs,
 detailed_outputs, protected, UUID)
VALUES ('Add new Thing',
        'function',
        'Add new Thing', 1, 0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewThing(%%inputs%%)"}',
        '',
        'device_id,sensor_id,sensor_type,address,location,altitude,latitude,longitude,sensor_username,sensor_password,firmware_ver,Description,generic_1,generic_2,module_type_desc,product_type_desc,instance_code,package_code,class_code,is_active',
        '',
        '{"data":[{"name":"device_id","type":"java.lang.String"},{"name":"sensor_id","type":"java.lang.String"},{"name":"sensor_type","type":"java.lang.String"},{"name":"address","type":"java.lang.String"},{"name":"location","type":"java.lang.String"},{"name":"altitude","type":"java.lang.String"},{"name":"latitude","type":"java.lang.String"},{"name":"longitude","type":"java.lang.String"},{"name":"sensor_username","type":"java.lang.String"},{"name":"sensor_password","type":"java.lang.String"},{"name":"firmware_ver","type":"java.lang.String"},{"name":"Description","type":"java.lang.String"},{"name":"generic_1","type":"java.lang.String"},{"name":"generic_2","type":"java.lang.String"},{"name":"module_type_desc","type":"java.lang.String"},{"name":"product_type_desc","type":"java.lang.String"},{"name":"instance_code","type":"java.lang.String"},{"name":"package_code","type":"java.lang.String"},{"name":"class_code","type":"java.lang.String"},{"name":"is_active","type":"java.lang.Boolean"}]}',
        '{"data":[]}', FALSE,
        '1cb684a5-c447-4b6c-bd3b-47ce715520ea');

INSERT INTO flows
(flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs, outputs, detailed_inputs,
 detailed_outputs, protected, UUID)
VALUES ('Add new Group', 'function', 'Add new Group', 1, 0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewGroup(%%inputs%%)"}',
        '',
        'group_name,device_type_id,group_description,group_type,generic_1,generic_2,is_active',
        '',
        '{"data":[{"name":"group_name","type":"java.lang.String"},{"name":"device_type_id","type":"java.lang.String"},{"name":"group_description","type":"java.lang.String"},{"name":"group_type","type":"java.lang.String"},{"name":"generic_1","type":"java.lang.String"},{"name":"generic_2","type":"java.lang.String"},{"name":"is_active","type":"java.lang.Boolean"}]}',
        '{"data":[]}', FALSE,
        '75e6a47f-3b92-4bf4-81cd-4ab14b309cac');
INSERT INTO flows
(flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs, outputs, detailed_inputs,
 detailed_outputs, protected, UUID)
VALUES ('Add Device or Thing to Group', 'function', 'Add Device or Thing to Group', 1, 0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewDeviceThingToGroup(%%inputs%%)"}',
        '',
        'group_name,gateway_thing_id', '',
        '{"data":[{"name":"group_name","type":"java.lang.String"},{"name":"gateway_thing_id","type":"java.lang.String"}]}',
        '{"data":[]}', FALSE,
        'af755af-29c1-4a6e-810c-4250b652764c');

INSERT INTO flows
(flow_name, flow_type, description, version, grouping_id, impl_details, details, inputs, outputs, detailed_inputs,
 detailed_outputs, protected, UUID)
VALUES ('Add new Device cloud', 'function',
        'Add new Device cloud', 1, 0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewDeviceCloud(%%inputs%%)"}',
        '', 'cloud_id,cloud_vendor,logical_name,cloud_url', '',
        '{"data":[{"name":"cloud_id","type":"java.lang.String"},{"name":"cloud_vendor","type":"java.lang.String"},{"name":"logical_name","type":"java.lang.String"},{"name":"cloud_url","type":"java.lang.String"}]}',
        '{"data":[]}', FALSE,
        '29a980dd-e7c9-41b3-8a1f-0c0107152695');

INSERT INTO flows
(flow_name,
 flow_type,
 description,
 version,
 grouping_id,
 impl_details,
 details,
 inputs,
 outputs,
 detailed_inputs,
 detailed_outputs,
 protected,
 UUID)
VALUES ('Add new cloud account',
        'function',
        'Add new cloud account',
        1,
        0,
        '{"class":"com.iqp.iot.functions.IoTAssetManagmentFunctionHandler","constructor":[],"data":"addNewCloudAccount(%%inputs%%)"}',
        '',
        'cloud_id,username,password,account,is_active,pull_interval',
        '',
        '{"data":[{"name":"cloud_id","type":"java.lang.String"},{"name":"username","type":"java.lang.String"},{"name":"password","type":"java.lang.String"},{"name":"account","type":"java.lang.String"},{"name":"is_active","type":"java.lang.Boolean"},{"name":"pull_interval","type":"java.lang.Integer"}]}',
        '{"data":[]}',
        FALSE,
        '3c4eaa8f-6771-49c8-8242-17d2f859ddbe');
