SET SEARCH_PATH = iqp_apprealm;

CREATE TABLE rest_datasource
(
    datasource_id          serial PRIMARY KEY,
    datasource_type        TEXT NULL,
    datasource_name        TEXT NULL,
    datasource_url         TEXT NULL,
    datasource_description TEXT NULL,
    UNIQUE (datasource_name)
);

CREATE TABLE auth
(
    auth_id            serial PRIMARY KEY,
    auth_url           TEXT NULL,
    auth_type          TEXT NULL,
    auth_clientid      TEXT NULL,
    auth_clientsecret  TEXT NULL,
    auth_username      TEXT NULL,
    auth_password      TEXT NULL,
    auth_token         TEXT NULL,
    auth_grant_type    TEXT NULL,
    rest_datasource_id serial REFERENCES rest_datasource (datasource_id) on delete cascade
);

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (409, 'historian_addsingletag', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}]',
        TRUE, 'c119351fe-4951-6636-835e-ea14717e93b7');
CREATE TABLE table_c119351fe_4951_6636_835e_ea14717e93b7
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text
);

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (410, 'historian_addbulktags', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}]',
        TRUE, 'c659351fe-4951-6636-835e-ea14717e93b7');
CREATE TABLE table_c659351fe_4951_6636_835e_ea14717e93b7
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text
);

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (411, 'historian_updatetag', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}]',
        TRUE, 'b8b67707-8303-4805-a99e-0ba945b03b58');

-- Boston Historian API and Parameters
CREATE TABLE rest_datasource_api
(
    id              serial primary key,
    datasource_type text not null,
    name            text not null,
    url             text not null,
    entity_table_id text not null
);
CREATE TABLE rest_datasource_api_parameter
(
    id                     serial PRIMARY key,
    type                   text not null,
    key                    text not null,
    value                  text,
    rest_datasource_api_id serial REFERENCES rest_datasource_api (id) on delete cascade
);

-- Tags API
INSERT INTO rest_datasource_api
VALUES (1, 'historian', 'Get Tags', '/historian-rest-api/v1/tags', '1d13a98de-1325-4485-85a8-7791d3bbd856');
INSERT INTO rest_datasource_api_parameter
VALUES (1, 'query', 'nameMask', '*', 1);
INSERT INTO rest_datasource_api_parameter
VALUES (2, 'query', 'maxNumber', '25', 1);

-- Response format
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (401, 'historian_tag', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c3","name":"Tags","type":"String","mandatory":false,"index":false,"distinct":true,"auto_increment":false}]',
        FALSE, '1d13a98de-1325-4485-85a8-7791d3bbd856');
CREATE TABLE table_1d13a98de_1325_4485_85a8_7791d3bbd856
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text,
    c3     text NOT NULL
);


-- -- Taglist API
INSERT INTO rest_datasource_api
VALUES (2, 'historian', 'Get Tags List', '/historian-rest-api/v1/tagslist', '93556f1f-3f34-46d4-9cdc-b8e5aabd28c6');
INSERT INTO rest_datasource_api_parameter
VALUES (3, 'query', 'calctype', '-1', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (4, 'query', 'collectiondisabled', 'false', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (5, 'query', 'collectioninterval', '0', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (6, 'query', 'collectorcompression', 'false', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (7, 'query', 'collectorname', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (8, 'query', 'collectortype', '0', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (9, 'query', 'comment', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (10, 'query', 'datastorename', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (11, 'query', 'datatype', '0', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (12, 'query', 'description', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (13, 'query', 'egudescription', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (14, 'query', 'enumeratedset', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (15, 'query', 'hasalias', 'false', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (16, 'query', 'isstale', 'false', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (17, 'query', 'lastmodified', '1970-01-01T00:00:00.000Z', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (18, 'query', 'lastmodifieduser', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (19, 'query', 'numberofelements', '0', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (20, 'query', 'pageno', '1', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (21, 'query', 'pagesize', '128', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (22, 'query', 'sourceaddress', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (23, 'query', 'tagname', '*', 2);
INSERT INTO rest_datasource_api_parameter
VALUES (24, 'query', 'userdefinedtypename', '*', 2);

-- Response format
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (402, 'historian_taglist', 1, 0,
        '[{"column_id":"c1","name":"Tags.Tagid","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c2","name":"Tags.Tagname","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c3","name":"Tags.Description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c4","name":"Tags.DataType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c5","name":"Tags.CollectorName","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c6","name":"Tags.CollectorType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c7","name":"Tags.DataStoreName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c8","name":"Tags.EngineeringUnits","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c9","name":"Tags.Comment","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c10","name":"Tags.SourceAddress","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c11","name":"Tags.CollectionInterval","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c12","name":"Tags.CollectorCompression","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c13","name":"Tags.LastModifiedUser","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c14","name":"Tags.EnumeratedSetName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c15","name":"Tags.UserDefinedTypeName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c16","name":"Tags.CalcType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c17","name":"Tags.IsStale","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c18","name":"Tags.HasAlias","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c19","name":"Tags.NumberOfElements","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c20","name":"Tags.CollectionDisabled","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c21","name":"Tags.LastModified","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c22","name":"Tags.LastModifiedString","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        FALSE, '93556f1f-3f34-46d4-9cdc-b8e5aabd28c6');
CREATE TABLE table_93556f1f_3f34_46d4_9cdc_b8e5aabd28c6
(
    int_id serial PRIMARY KEY,
    c1     TEXT,
    c2     TEXT,
    c3     TEXT,
    c4     INT,
    c5     INT,
    c6     INT,
    c7     TEXT,
    c8     TEXT,
    c9     TEXT,
    c10    TEXT,
    c11    INT,
    c12    BOOLEAN,
    c13    TEXT,
    c14    TEXT,
    c15    TEXT,
    c16    INT,
    c17    BOOLEAN,
    c18    BOOLEAN,
    c19    INT,
    c20    BOOLEAN,
    c21    INT,
    c22    TEXT
);

-- Data APIs
-- All data apis (except Trend) have common response format
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (403, 'historian_data', 1, 0,
        '[{"column_id":"c1","name":"Data.TagName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c2","name":"Data.Samples.TimeStamp","type":"DateTime","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c3","name":"Data.Samples.Value","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c4","name":"Data.Samples.Quality","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, 'c113651fe-5872-4265-835e-eb14317e13e9');
CREATE TABLE table_c113651fe_5872_4265_835e_eb14317e13e9
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     TIMESTAMP,
    c3     TEXT,
    c4     TEXT
);
--
-- -- Raw Data API
INSERT INTO rest_datasource_api
VALUES (3, 'historian', 'Get Raw Data', '/historian-rest-api/v1/datapoints/raw',
        'c113651fe-5872-4265-835e-eb14317e13e9');
INSERT INTO rest_datasource_api_parameter
VALUES (25, 'query', 'tagNames', '*', 3);
INSERT INTO rest_datasource_api_parameter
VALUES (26, 'query', 'start', '1970-01-01T00:00:00.000Z', 3);
INSERT INTO rest_datasource_api_parameter
VALUES (27, 'query', 'end', '2000-01-01T00:00:00.000Z', 3);
INSERT INTO rest_datasource_api_parameter
VALUES (28, 'query', 'direction', '0', 3);
INSERT INTO rest_datasource_api_parameter
VALUES (29, 'query', 'count', '50', 3);

-- Interpolated Data API
INSERT INTO rest_datasource_api
VALUES (4, 'historian', 'Get Interpolated Data', '/historian-rest-api/v1/datapoints/interpolated',
        'c113651fe-5872-4265-835e-eb14317e13e9');
INSERT INTO rest_datasource_api_parameter
VALUES (30, 'query', 'tagNames', '*', 4);
INSERT INTO rest_datasource_api_parameter
VALUES (31, 'query', 'start', '1970-01-01T00:00:00.000Z', 4);
INSERT INTO rest_datasource_api_parameter
VALUES (32, 'query', 'end', '2000-01-01T00:00:00.000Z', 4);
INSERT INTO rest_datasource_api_parameter
VALUES (33, 'query', 'count', '50', 4);
INSERT INTO rest_datasource_api_parameter
VALUES (34, 'query', 'intervalMs', '50', 4);

-- Current Value API
INSERT INTO rest_datasource_api
VALUES (5, 'historian', 'Get Current Data', '/historian-rest-api/v1/datapoints/currentvalue',
        'c113651fe-5872-4265-835e-eb14317e13e9');
INSERT INTO rest_datasource_api_parameter
VALUES (35, 'query', 'tagNames', '*', 5);

-- Calculated Data API
INSERT INTO rest_datasource_api
VALUES (6, 'historian', 'Get Calculated Data', '/historian-rest-api/v1/datapoints/calculated',
        'c113651fe-5872-4265-835e-eb14317e13e9');
INSERT INTO rest_datasource_api_parameter
VALUES (36, 'query', 'tagNames', '*', 6);
INSERT INTO rest_datasource_api_parameter
VALUES (37, 'query', 'start', '1970-01-01T00:00:00.000Z', 6);
INSERT INTO rest_datasource_api_parameter
VALUES (38, 'query', 'end', '2000-01-01T00:00:00.000Z', 6);
INSERT INTO rest_datasource_api_parameter
VALUES (39, 'query', 'count', '50', 6);
INSERT INTO rest_datasource_api_parameter
VALUES (40, 'query', 'calculationMode', '1', 6);
INSERT INTO rest_datasource_api_parameter
VALUES (41, 'query', 'intervalMs', '50', 6);

-- Sampled Data API
INSERT INTO rest_datasource_api
VALUES (7, 'historian', 'Get Sampled Data', '/historian-rest-api/v1/datapoints/sampled',
        'c113651fe-5872-4265-835e-eb14317e13e9');
INSERT INTO rest_datasource_api_parameter
VALUES (42, 'query', 'tagNames', '*', 7);
INSERT INTO rest_datasource_api_parameter
VALUES (43, 'query', 'start', '1970-01-01T00:00:00.000Z', 7);
INSERT INTO rest_datasource_api_parameter
VALUES (44, 'query', 'end', '2000-01-01T00:00:00.000Z', 7);
INSERT INTO rest_datasource_api_parameter
VALUES (45, 'query', 'samplingMode', '1', 7);
INSERT INTO rest_datasource_api_parameter
VALUES (46, 'query', 'calculationMode', '1', 7);
INSERT INTO rest_datasource_api_parameter
VALUES (47, 'query', 'direction', '0', 7);
INSERT INTO rest_datasource_api_parameter
VALUES (48, 'query', 'count', '0', 7);
INSERT INTO rest_datasource_api_parameter
VALUES (49, 'query', 'intervalMS', '1000', 7);

-- Trend Data API
INSERT INTO rest_datasource_api
VALUES (8, 'historian', 'Get Trend Data', '/historian-rest-api/v1/datapoints/trend',
        'c008351fe-4951-6636-835e-ea14717e93e1');
INSERT INTO rest_datasource_api_parameter
VALUES (50, 'query', 'tagNames', '*', 8);
INSERT INTO rest_datasource_api_parameter
VALUES (51, 'query', 'start', '1970-01-01T00:00:00.000Z', 8);
INSERT INTO rest_datasource_api_parameter
VALUES (52, 'query', 'end', '2000-01-01T00:00:00.000Z', 8);
INSERT INTO rest_datasource_api_parameter
VALUES (53, 'query', 'samplingMode', '1', 8);
INSERT INTO rest_datasource_api_parameter
VALUES (54, 'query', 'calculationMode', '1', 8);
INSERT INTO rest_datasource_api_parameter
VALUES (55, 'query', 'direction', '0', 8);
INSERT INTO rest_datasource_api_parameter
VALUES (56, 'query', 'count', '0', 8);
INSERT INTO rest_datasource_api_parameter
VALUES (57, 'query', 'intervalMS', '1000', 8);

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (408, 'historian_trend_data', 1, 0, '[
        {"column_id":"c1","name":"Data.TagName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c2","name":"Data.Trend.TimeStamp","type":"DateTime","mandatory":false,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c3","name":"Data.Trend.Value","type":"String","mandatory":true,"index":false,"distinct":false,"auto_increment":false},
        {"column_id":"c4","name":"Data.Trend.Quality","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        TRUE, 'c008351fe-4951-6636-835e-ea14717e93e1');
CREATE TABLE table_c008351fe_4951_6636_835e_ea14717e93e1
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     TIMESTAMP,
    c3     TEXT,
    c4     TEXT
);

INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (411, 'historian_updatetag', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}]',
        TRUE, '8d3fe5fa-d080-4aff-9f31-c9e1d247318f');

CREATE TABLE table_c889351fe_4951_6636_835e_ea14717e93c1
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text
);
