SET SEARCH_PATH = iqp_apprealm;


-- Historian API
INSERT INTO rest_datasource_api
VALUES (9, 'historian', 'Add Single Tag', '/historian-rest-api/v1/tags/addtag',
        'c119351fe-4951-6636-835e-ea14717e93b7');

INSERT INTO rest_datasource_api
VALUES (10, 'historian', 'Add Bulk Tags', '/historian-rest-api/v1/tags/addtags',
        'c659351fe-4951-6636-835e-ea14717e93b7');

INSERT INTO rest_datasource_api
VALUES (11, 'historian', 'Update Tag Configuration', '/historian-rest-api/v1/tags/properties/tagName',
        '8d3fe5fa-d080-4aff-9f31-c9e1d247318f');

INSERT INTO rest_datasource_api
VALUES (12, 'historian', 'Tag Properties', '/historian-rest-api/v1/tags/properties/tagName',
        'b8d88873-60c1-4b27-9279-6e30257ed464');

INSERT INTO rest_datasource_api
VALUES (13, 'historian', 'Delete Tag', '/historian-rest-api/v1/tags/tagName', '7711b513-5ff6-4d4d-9ce7-fdc528681834');

-----------------------------------------------------
-- Historian 8.0 API 
INSERT INTO rest_datasource_api
VALUES (14, 'historian', 'Query Results', '/historian-rest-api/v1/datapoints/configuration',
        'd7f81439-0811-4fef-9f2a-5549dc11b3ec');

INSERT INTO rest_datasource_api
VALUES (15, 'historian', 'Tag Rename', '/historian-rest-api/v1/tags/tagrename', '7f7f47ce_becf_4fc2_b910_c9f9ac4fbce9');

INSERT INTO rest_datasource_api
VALUES (16, 'historian', 'Write Tag', '/historian-rest-api/v1/datapoints/create',
        'f6005adc-c71a-4899-862f-6a6baea0f21c');


-- Historian API parameters for Delete Tag, Add Bulk Tags, and Add Single Tag
INSERT INTO rest_datasource_api_parameter
VALUES (58, 'path', 'tagName', '', 13);

INSERT INTO rest_datasource_api_parameter
VALUES (59, 'query', 'permanentDelete', 'false', 13);

INSERT INTO rest_datasource_api_parameter
VALUES (60, 'path', 'tagName', '', 11);

INSERT INTO rest_datasource_api_parameter
VALUES (61, 'path', 'tagName', '', 12);



-----------------------------------------------------
-- Historian 8.0 API parameters
INSERT INTO rest_datasource_api_parameter
VALUES (62, 'query', 'maxDataQueryResultSize', '1000', 14);

INSERT INTO rest_datasource_api_parameter
VALUES (63, 'path', 'oldtagname', '', 15);

INSERT INTO rest_datasource_api_parameter
VALUES (64, 'path', 'newtagname', '', 15);

INSERT INTO rest_datasource_api_parameter
VALUES (65, 'query', 'truerename', 'false', 15);


-- add missing entity table for historian_updatetag which was missed in V1_14 file(but has entry in entity_tables)
CREATE TABLE table_8d3fe5fa_d080_4aff_9f31_c9e1d247318f
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text
);


-- response format for Query Results
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (414, 'historian_queryresults', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}]',
        TRUE, 'd7f81439-0811-4fef-9f2a-5549dc11b3ec');
CREATE TABLE table_d7f81439_0811_4fef_9f2a_5549dc11b3ec
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text
);

-- response format for Tag Rename
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (415, 'historian_tagrename', 1, 0,
        '[{"column_id":"c1","name":"Data.Name","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c2","name":"Data.Description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c3","name":"Data.ServerId","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c4","name":"Data.EngineeringUnits","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c5","name":"Data.Comment","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c6","name":"Data.CollectorName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c7","name":"Data.SourceAddress","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c8","name":"Data.CollectionType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c9","name":"Data.DataType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c10","name":"Data.FixedStringLength","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c11","name":"Data.CollectionInterval","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c12","name":"Data.CollectionOffset","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c13","name":"Data.LoadBalancing","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c14","name":"Data.TimeStampType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c15","name":"Data.HiEngineeringUnits","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c16","name":"Data.LoEngineeringUnits","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c17","name":"Data.InputScaling","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c18","name":"Data.HiScale","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c19","name":"Data.LoScale","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c20","name":"Data.CollectorCompression","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c21","name":"Data.CollectorDeadbandPercentRange","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c22","name":"Data.ArchiveCompression","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c23","name":"Data.ArchiveDeadbandPercentRange","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c24","name":"Data.General1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c25","name":"Data.General2","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c26","name":"Data.General3","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c27","name":"Data.General4","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c28","name":"Data.General5","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c29","name":"Data.ReadSecurityGroup","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c30","name":"Data.WriteSecurityGroup","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c31","name":"Data.AdministratorSecurityGroup","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c32","name":"Data.LastModified","type":"DateTime","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c33","name":"Data.LastModifiedUser","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c34","name":"Data.CollectorType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c35","name":"Data.UTCBias","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c36","name":"Data.CollectionDisabled","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c37","name":"Data.ArchiveCompressionTimeout","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c38","name":"Data.CollectorCompressionTimeout","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c39","name":"Data.SpikeLogic","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c40","name":"Data.SpikeLogicOverride","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c41","name":"Data.CollectorAbsoluteDeadbanding","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c42","name":"Data.CollectorAbsoluteDeadband","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c43","name":"Data.ArchiveAbsoluteDeadbanding","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c44","name":"Data.ArchiveAbsoluteDeadband","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c45","name":"Data.StepValue","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c46","name":"Data.TimeResolution","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c47","name":"Data.ConditionCollectionEnabled","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c48","name":"Data.ConditionCollectionTriggerTag","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c49","name":"Data.ConditionCollectionComparison","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c50","name":"Data.ConditionCollectionCompareValue","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c51","name":"Data.ConditionCollectionMarkers","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c52","name":"Data.Calculation","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c53","name":"Data.Id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c54","name":"Data.EnumeratedSetName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c55","name":"Data.DataStoreName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c56","name":"Data.DefaultQueryModifiers","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c57","name":"Data.UserDefinedTypeName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c58","name":"Data.NumberOfElements","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c59","name":"Data.DataDensity","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c60","name":"Data.CalcType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c61","name":"Data.HasAlias","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c62","name":"Data.IsStale","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        FALSE, '7f7f47ce-becf-4fc2-b910-c9f9ac4fbce9');
CREATE TABLE table_7f7f47ce_becf_4fc2_b910_c9f9ac4fbce9
(
    int_id serial PRIMARY KEY,
    c1     text,
    c2     text,
    c3     text,
    c4     text,
    c5     text,
    c6     text,
    c7     text,
    c8     INT,
    c9     INT,
    c10    INT,
    c11    INT,
    c12    INT,
    c13    BOOLEAN,
    c14    INT,
    c15    INT,
    c16    INT,
    c17    BOOLEAN,
    c18    INT,
    c19    INT,
    c20    BOOLEAN,
    c21    INT,
    c22    BOOLEAN,
    c23    INT,
    c24    text,
    c25    text,
    c26    text,
    c27    text,
    c28    text,
    c29    text,
    c30    text,
    c31    text,
    c32    TIMESTAMP,
    c33    text,
    c34    INT,
    c35    INT,
    c36    BOOLEAN,
    c37    INT,
    c38    INT,
    c39    BOOLEAN,
    c40    BOOLEAN,
    c41    BOOLEAN,
    c42    INT,
    c43    BOOLEAN,
    c44    INT,
    c45    BOOLEAN,
    c46    INT,
    c47    BOOLEAN,
    c48    text,
    c49    INT,
    c50    text,
    c51    BOOLEAN,
    c52    text,
    c53    text,
    c54    text,
    c55    text,
    c56    INT,
    c57    text,
    c58    INT,
    c59    INT,
    c60    INT,
    c61    BOOLEAN,
    c62    BOOLEAN
);


-- response format for Write Tag
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (416, 'historian_writetag', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}]',
        TRUE, 'f6005adc-c71a-4899-862f-6a6baea0f21c');
CREATE TABLE table_f6005adc_c71a_4899_862f_6a6baea0f21c
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text
);



-----------------------------------------------------------------------

-- response format for delete tag
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (412, 'historian_deletetag', 1, 0,
        '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}]',
        TRUE, '7711b513-5ff6-4d4d-9ce7-fdc528681834');
CREATE TABLE table_7711b513_5ff6_4d4d_9ce7_fdc528681834
(
    int_id serial PRIMARY KEY,
    c1     INT,
    c2     text
);


-- Response format for get tag properties
INSERT into entity_tables (table_id, table_name, version, grouping_id, column_data, protected, UUID)
VALUES (413, 'historian_gettagproperties', 1, 0,
        '[{"column_id":"c1","name":"Name","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c2","name":"Description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c3","name":"EngineeringUnits","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c4","name":"Comment","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c5","name":"CollectorName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c6","name":"CollectorType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c7","name":"DataType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c8","name":"FixedStringLength","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c9","name":"CollectionInterval","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c10","name":"CollectionOffset","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c11","name":"LoadBalancing","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c12","name":"TimeStampType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c13","name":"HiEngineeringUnits","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c14","name":"LoEngineeringUnits","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c15","name":"InputScaling","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c16","name":"HiScale","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c17","name":"LoScale","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c18","name":"CollectorCompression","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c19","name":"CollectorDeadbandPercentRange","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c20","name":"ArchiveCompression","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c21","name":"ArchiveDeadbandPercentRange","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c22","name":"General1","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c23","name":"General2","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c24","name":"General3","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c25","name":"General4","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c26","name":"General5","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c27","name":"ReadSecurityGroup","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c28","name":"WriteSecurityGroup","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c29","name":"AdministratorSecurityGroup","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c30","name":"LastModified","type":"DateTime","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c31","name":"LastModifiedUser","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c32","name":"CollectorType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c33","name":"UTCBias","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c34","name":"CollectionDisabled","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c35","name":"ArchiveCompressionTimeout","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c36","name":"CollectorCompressionTimeout","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c37","name":"SpikeLogic","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c38","name":"SpikeLogicOverride","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c39","name":"CollectorAbsoluteDeadbanding","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c40","name":"CollectorAbsoluteDeadband","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c41","name":"ArchiveAbsoluteDeadbanding","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c42","name":"ArchiveAbsoluteDeadband","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c43","name":"StepValue","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c44","name":"TimeResolution","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c45","name":"ConditionCollectionEnabled","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c46","name":"ConditionCollectionTriggerTag","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c47","name":"ConditionCollectionComparison","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c48","name":"ConditionCollectionCompareValue","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c49","name":"ConditionCollectionMarkers","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c50","name":"Id","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c51","name":"EnumeratedSetName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c52","name":"DataStoreName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c53","name":"DefaultQueryModifiers","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c54","name":"UserDefinedTypeName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c55","name":"NumberOfElements","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c56","name":"DataDensity","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c57","name":"CalcType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c58","name":"HasAlias","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
        '{"column_id":"c59","name":"IsStale","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]',
        FALSE, 'b8d88873-60c1-4b27-9279-6e30257ed464');

CREATE TABLE table_b8d88873_60c1_4b27_9279_6e30257ed464
(
    int_id serial PRIMARY KEY,
    c1     TEXT,
    c2     TEXT,
    c3     TEXT,
    c4     TEXT,
    c5     TEXT,
    c6     INT,
    c7     INT,
    c8     INT,
    c9     INT,
    c10    INT,
    c11    BOOLEAN,
    c12    INT,
    c13    INT,
    c14    INT,
    c15    BOOLEAN,
    c16    INT,
    c17    INT,
    c18    BOOLEAN,
    c19    INT,
    c20    BOOLEAN,
    c21    INT,
    c22    TEXT,
    c23    TEXT,
    c24    TEXT,
    c25    TEXT,
    c26    TEXT,
    c27    TEXT,
    c28    TEXT,
    c29    TEXT,
    c30    TIMESTAMP,
    c31    TEXT,
    c32    INT,
    c33    INT,
    c34    BOOLEAN,
    c35    INT,
    c36    INT,
    c37    BOOLEAN,
    c38    BOOLEAN,
    c39    BOOLEAN,
    c40    INT,
    c41    BOOLEAN,
    c42    INT,
    c43    BOOLEAN,
    c44    INT,
    c45    BOOLEAN,
    c46    TEXT,
    c47    INT,
    c48    TEXT,
    c49    BOOLEAN,
    c50    TEXT,
    c51    TEXT,
    c52    TEXT,
    c53    INT,
    c54    TEXT,
    c55    INT,
    c56    INT,
    c57    INT,
    c58    BOOLEAN,
    c59    BOOLEAN
);


-- add missing Tagname response column for Add Bulk Tags
UPDATE entity_tables
SET column_data = '[{"column_id":"c1","name":"ErrorCode","type":"Number","mandatory":false,"index":true,"distinct":false,"auto_increment":false},{"column_id":"c2","name":"ErrorMessage","type":"String","mandatory":false,"index":true,"distinct":false,"auto_increment":false}, {"column_id":"c3","name":"TagName","type":"String","mandatory":false,"index":false,"distinct":true,"auto_increment":false}]'
WHERE table_id = 410;

ALTER TABLE table_c659351fe_4951_6636_835e_ea14717e93b7
    ADD COLUMN IF NOT EXISTS c3 text NOT NULL DEFAULT '';


-- Rename the api names to match the Historian API DOC
UPDATE rest_datasource_api
SET name = 'Tags'
where id = 1;
UPDATE rest_datasource_api
SET name = 'Tags List'
where id = 2;
UPDATE rest_datasource_api
SET name = 'Raw Data'
where id = 3;
UPDATE rest_datasource_api
SET name = 'Interpolated Data'
where id = 4;
UPDATE rest_datasource_api
SET name = 'Current Value'
where id = 5;
UPDATE rest_datasource_api
SET name = 'Calculated Data'
where id = 6;
UPDATE rest_datasource_api
SET name = 'Sampled Data'
where id = 7;
UPDATE rest_datasource_api
SET name = 'Trend Data'
where id = 8;


-- fix the wrong data type for CollectorName which is a string:
Update entity_tables
SET column_data =
                                                                                            '[{"column_id":"c1","name":"Tags.Tagid","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c2","name":"Tags.Tagname","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c3","name":"Tags.Description","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c4","name":"Tags.DataType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c5","name":"Tags.CollectorName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c6","name":"Tags.CollectorType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c7","name":"Tags.DataStoreName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c8","name":"Tags.EngineeringUnits","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c9","name":"Tags.Comment","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c10","name":"Tags.SourceAddress","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c11","name":"Tags.CollectionInterval","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c12","name":"Tags.CollectorCompression","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c13","name":"Tags.LastModifiedUser","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c14","name":"Tags.EnumeratedSetName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c15","name":"Tags.UserDefinedTypeName","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c16","name":"Tags.CalcType","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c17","name":"Tags.IsStale","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c18","name":"Tags.HasAlias","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c19","name":"Tags.NumberOfElements","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c20","name":"Tags.CollectionDisabled","type":"Boolean","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c21","name":"Tags.LastModified","type":"Number","mandatory":false,"index":false,"distinct":false,"auto_increment":false},' ||
                                                                                            '{"column_id":"c22","name":"Tags.LastModifiedString","type":"String","mandatory":false,"index":false,"distinct":false,"auto_increment":false}]'
where table_id = 402;

ALTER TABLE table_93556f1f_3f34_46d4_9cdc_b8e5aabd28c6
    ALTER COLUMN c5 TYPE TEXT;
