SET SEARCH_PATH = iqp_apprealm;

CREATE TABLE IF NOT EXISTS ExternalDB_Supported_Types
(
    dbTypeId              serial PRIMARY KEY,
    connectionUrlTemplate TEXT,
    jdbcDriverClass       TEXT,
    defaultPort           TEXT,
    vendor                TEXT,
    driverVersion         TEXT,
    UNIQUE (vendor, driverVersion)
);

CREATE TABLE IF NOT EXISTS ExternalDB_DataSource
(
    datasourceId  serial PRIMARY KEY,
    name          TEXT    NULL,
    description   TEXT    NULL,
    server        TEXT    NULL,
    port          INT     NULL,
    database      TEXT    NULL,
    connectionUrl TEXT    NULL,
    userName      TEXT    NOT NULL,
    password      TEXT    NOT NULL,
    dbTypeId      INTEGER NULL REFERENCES ExternalDB_Supported_Types (dbTypeId),
    certName      TEXT    NULL,
    certificate   TEXT    NULL,
    UNIQUE (name)
);


-- Set the supported Db types
INSERT INTO ExternalDB_Supported_Types
(dbtypeId, vendor, driverVersion, jdbcDriverClass, connectionUrlTemplate, defaultPort)
VALUES (1, 'Microsoft SQL Server', '7.4.1', 'com.microsoft.sqlserver.jdbc.SQLServerDriver',
        'jdbc:sqlserver://{HOST}:{PORT};databaseName={DATABASE};', 1433)
ON CONFLICT DO NOTHING;


