SET SEARCH_PATH = iqp_apprealm;

-- typical substring in the flows.detail string: 
-- 		"dataSource":{"dataSource_id":2,"serverName":"MyCustREST","serverType":"Custom"}
-- 		"dataSource":{"dataSource_id":1,"serverName":"Hist","serverType":"Historian"}
-- 		"dataSource":{"dataSource_id":1,"serverName":"MySQL","serverType":"Relational Database"}

-- For Custom and Historian serverType, replace "dataSource_id":value with the "dataSourceUuid":"uuidvalue" using the uuid value from the rest_datasource.
UPDATE Flows 
SET 
	details = REPLACE (details, CONCAT(CONCAT('"dataSource":{"dataSource_id":',rest_datasource.datasource_id), ','), CONCAT(CONCAT('"dataSource":{"dataSourceUuid":"',rest_datasource.datasource_uuid), '",'))
FROM 
	rest_datasource
WHERE
	flows.details LIKE CONCAT (CONCAT('%"dataSource":{"dataSource_id":', rest_datasource.datasource_id), ',%"serverType":"Custom"%')
OR
	flows.details LIKE CONCAT (CONCAT('%"dataSource":{"dataSource_id":', rest_datasource.datasource_id), ',%"serverType":"Historian"%');


-- For relational DB serverType, replace "dataSource_id":value with the "dataSourceUuid":"uuidvalue" using the uuid value from the externaldb_datasource.
UPDATE Flows 
SET 
	details = REPLACE (details, CONCAT(CONCAT('"dataSource":{"dataSource_id":',externaldb_datasource.datasourceid), ','), CONCAT(CONCAT('"dataSource":{"dataSourceUuid":"',externaldb_datasource.datasourceuuid), '",'))
FROM 
	externaldb_datasource
WHERE
	flows.details LIKE CONCAT (CONCAT('%"dataSource":{"dataSource_id":', externaldb_datasource.datasourceid), ',%"serverType":"Relational Database"%');


-- For relational DB serverType, replace the "serverType":"Relational Database" with "serverType":"relationaldb"
UPDATE Flows
SET
	details = REPLACE (details, '"serverType":"Relational Database"', '"serverType":"relationaldb"')
WHERE
	flows.details LIKE '%"dataSource_uuid"%';


-- replace the "serverType":"Custom" with "productType":"REST API","connectionTypes":["REST"]
UPDATE Flows 
SET 
	details = REPLACE (details, '"serverType":"Custom"', '"productType":"REST API","connectionTypes":["REST"]')
WHERE
	flows.details LIKE '%"dataSource_uuid"%';


-- replace the "serverType":"Historian" with "productType":"Proficy Historian","connectionTypes":["HISTORIAN"]
UPDATE Flows 
SET 
	details = REPLACE (details, '"serverType":"Historian"', '"productType":"Proficy Historian","connectionTypes":["REST"]')
WHERE
	flows.details LIKE '%"dataSource_uuid"%';

	
ALTER TABLE Flows ADD COLUMN request_datasource_uuid varchar;

UPDATE Flows
SET
	request_datasource_uuid = rest_datasource.datasource_uuid
FROM
    rest_datasource
WHERE
	flows.request_datasource_id = rest_datasource.datasource_id;
	
ALTER TABLE Flows DROP COLUMN request_datasource_id;
ALTER TABLE rest_datasource DROP COLUMN datasource_id;
ALTER TABLE externaldb_datasource DROP COLUMN datasourceid;	
ALTER TABLE auth DROP COLUMN rest_datasource_id;	
