SET SEARCH_PATH = iqp_apprealm;

-- typical substring in the flows.detail string after upgrading 1.7 to 2.0/2.1: 
-- Note that V2_11 script had wrong "dataSource_uuid" string in the WHERE statement so these rows were not upgraded in 2.0.  
-- 		"dataSource":{"dataSourceUuid":"a28e40c2-3b2a-4842-90af-a07299d65292","serverName":"MyCustREST","serverType":"Custom"}
-- 		"dataSource":{"dataSourceUuid":"23ed7296-a6da-4e98-9e31-9e75519d464a","serverName":"Hist","serverType":"Historian"}
-- 		"dataSource":{"dataSourceUuid":"92d8611f-b9cb-4fb6-a0bc-34aefc3937aa","serverName":"MySQL","serverType":"Relational Database"}


-- For relational DB serverType, replace the "serverType":"Relational Database" with "serverType":"relationaldb"
UPDATE Flows
SET
details = REPLACE (details, '"serverType":"Relational Database"', '"serverType":"relationaldb"')
WHERE
flows.details LIKE '%"dataSourceUuid"%';

-- replace the "serverType":"Custom" with "productType":"REST API","connectionTypes":["REST"]
UPDATE Flows
SET
details = REPLACE (details, '"serverType":"Custom"', '"productType":"REST API","connectionTypes":["REST"]')
WHERE
flows.details LIKE '%"dataSourceUuid"%';

-- replace the "serverType":"Historian" with "productType":"Proficy Historian","connectionTypes":["HISTORIAN"]
UPDATE Flows
SET
details = REPLACE (details, '"serverType":"Historian"', '"productType":"Proficy Historian","connectionTypes":["REST"]')
WHERE
flows.details LIKE '%"dataSourceUuid"%';