SET SEARCH_PATH = iqp_apprealm;

CREATE EXTENSION IF NOT EXISTS "uuid-ossp";

ALTER TABLE rest_datasource
ADD COLUMN datasource_uuid varchar;

UPDATE rest_datasource
	SET datasource_uuid = uuid_generate_v4();

ALTER TABLE rest_datasource
DROP CONSTRAINT rest_datasource_pkey CASCADE;

ALTER TABLE rest_datasource
ADD PRIMARY KEY (datasource_uuid);

ALTER TABLE auth
ADD COLUMN rest_datasource_uuid varchar;

UPDATE Auth
	SET rest_datasource_uuid = rest_datasource.datasource_uuid
FROM 
	rest_datasource
WHERE
	Auth.rest_datasource_id = rest_datasource.datasource_id;

ALTER TABLE auth
ADD CONSTRAINT constraint_fk
FOREIGN KEY (rest_datasource_uuid)
REFERENCES rest_datasource(datasource_uuid)
  ON DELETE CASCADE;